Bug 83224 - heap-buffer-overflow in fs_open_font
Summary: heap-buffer-overflow in fs_open_font
Status: RESOLVED FIXED
Alias: None
Product: xorg
Classification: Unclassified
Component: Lib/Xfont (show other bugs)
Version: unspecified
Hardware: x86-64 (AMD64) Mac OS X (All)
: medium normal
Assignee: Xorg Project Team
QA Contact: Xorg Project Team
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-08-29 05:53 UTC by Ken
Modified: 2016-05-31 04:27 UTC (History)
0 users

See Also:
i915 platform:
i915 features:


Attachments
2.7.10_beta1 ASan Report (56.49 KB, text/plain)
2016-05-30 05:56 UTC, Jeremy Huddleston Sequoia
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Ken 2014-08-29 05:53:53 UTC
Process:         X11.bin [4321]
Path:            /Applications/Utilities/XQuartz.app/Contents/MacOS/X11.bin
Identifier:      org.macosforge.xquartz.X11
Version:         2.7.7 (2.7.73)
Code Type:       X86-64 (Native)
Parent Process:  launchd [159]
Responsible:     X11.bin [4321]
User ID:         501

Date/Time:       2014-08-22 19:41:27.944 -0700
OS Version:      Mac OS X 10.9.4 (13E28)
Report Version:  11
Anonymous UUID:  9840B040-6BD9-475F-9308-EA1553FE50F6


Crashed Thread:  2

Exception Type:  EXC_BAD_ACCESS (SIGSEGV)
Exception Codes: KERN_INVALID_ADDRESS at 0x0000000040616381

VM Regions Near 0x40616381:
--> 
    __TEXT                 0000000100000000-00000001001a3000 [ 1676K] r-x/rwx SM=COW  /Applications/Utilities/XQuartz.app/Contents/MacOS/X11.bin

Application Specific Information:
X.Org X Server 1.15.2 Build Date: 20140811

Thread 0:: Dispatch queue: com.apple.main-thread
0   libsystem_kernel.dylib        	0x00007fff92a0ea1a mach_msg_trap + 10
1   libsystem_kernel.dylib        	0x00007fff92a0dd18 mach_msg + 64
2   com.apple.CoreFoundation      	0x00007fff86a9ef15 __CFRunLoopServiceMachPort + 181
3   com.apple.CoreFoundation      	0x00007fff86a9e539 __CFRunLoopRun + 1161
4   com.apple.CoreFoundation      	0x00007fff86a9de75 CFRunLoopRunSpecific + 309
5   com.apple.HIToolbox           	0x00007fff8e40fa0d RunCurrentEventLoopInMode + 226
6   com.apple.HIToolbox           	0x00007fff8e40f7b7 ReceiveNextEventCommon + 479
7   com.apple.HIToolbox           	0x00007fff8e40f5bc _BlockUntilNextEventMatchingListInModeWithFilter + 65
8   com.apple.AppKit              	0x00007fff8bea924e _DPSNextEvent + 1434
9   com.apple.AppKit              	0x00007fff8bea889b -[NSApplication nextEventMatchingMask:untilDate:inMode:dequeue:] + 122
10  com.apple.AppKit              	0x00007fff8be9c99c -[NSApplication run] + 553
11  X11.bin                       	0x0000000100008800 X11ApplicationMain + 1381
12  X11.bin                       	0x0000000100010d84 server_main + 174
13  X11.bin                       	0x0000000100001d1a do_start_x11_server + 275
14  X11.bin                       	0x0000000100002ae1 _Xstart_x11_server + 122
15  X11.bin                       	0x0000000100002c3e mach_startup_server + 76
16  libsystem_kernel.dylib        	0x00007fff92a0e599 mach_msg_server + 422
17  X11.bin                       	0x00000001000024fb main + 1970
18  X11.bin                       	0x00000001000017a4 start + 52

Thread 1:: Dispatch queue: com.apple.libdispatch-manager
0   libsystem_kernel.dylib        	0x00007fff92a13662 kevent64 + 10
1   libdispatch.dylib             	0x00007fff86c71421 _dispatch_mgr_invoke + 239
2   libdispatch.dylib             	0x00007fff86c71136 _dispatch_mgr_thread + 52

Thread 2 Crashed:
0   X11.bin                       	0x0000000100003752 FreeFPE + 9
1   X11.bin                       	0x000000010000362b doOpenFont + 880
2   X11.bin                       	0x00000001000d4b99 ProcessWorkQueue + 40
3   X11.bin                       	0x000000010011a31f WaitForSomething + 1623
4   X11.bin                       	0x00000001000cdd8a Dispatch + 144
5   X11.bin                       	0x00000001000d404e dix_main + 983
6   X11.bin                       	0x0000000100010ccf server_thread + 38
7   libsystem_pthread.dylib       	0x00007fff919b0899 _pthread_body + 138
8   libsystem_pthread.dylib       	0x00007fff919b072a _pthread_start + 137
9   libsystem_pthread.dylib       	0x00007fff919b4fc9 thread_start + 13

Thread 3:
0   libsystem_kernel.dylib        	0x00007fff92a0ea1a mach_msg_trap + 10
1   libsystem_kernel.dylib        	0x00007fff92a0dd18 mach_msg + 64
2   com.apple.CoreFoundation      	0x00007fff86a9ef15 __CFRunLoopServiceMachPort + 181
3   com.apple.CoreFoundation      	0x00007fff86a9e539 __CFRunLoopRun + 1161
4   com.apple.CoreFoundation      	0x00007fff86a9de75 CFRunLoopRunSpecific + 309
5   com.apple.CoreFoundation      	0x00007fff86b53811 CFRunLoopRun + 97
6   X11.bin                       	0x0000000100023ba9 xpbproxy_run + 504
7   X11.bin                       	0x0000000100008858 xpbproxy_x_thread + 9
8   libsystem_pthread.dylib       	0x00007fff919b0899 _pthread_body + 138
9   libsystem_pthread.dylib       	0x00007fff919b072a _pthread_start + 137
10  libsystem_pthread.dylib       	0x00007fff919b4fc9 thread_start + 13

Thread 4:
0   libsystem_kernel.dylib        	0x00007fff92a0ea1a mach_msg_trap + 10
1   libsystem_kernel.dylib        	0x00007fff92a0dd18 mach_msg + 64
2   com.apple.CoreFoundation      	0x00007fff86a9ef15 __CFRunLoopServiceMachPort + 181
3   com.apple.CoreFoundation      	0x00007fff86a9e539 __CFRunLoopRun + 1161
4   com.apple.CoreFoundation      	0x00007fff86a9de75 CFRunLoopRunSpecific + 309
5   com.apple.AppKit              	0x00007fff8c04905e _NSEventThread + 144
6   libsystem_pthread.dylib       	0x00007fff919b0899 _pthread_body + 138
7   libsystem_pthread.dylib       	0x00007fff919b072a _pthread_start + 137
8   libsystem_pthread.dylib       	0x00007fff919b4fc9 thread_start + 13

Thread 5:
0   libsystem_kernel.dylib        	0x00007fff92a12716 __psynch_cvwait + 10
1   libsystem_pthread.dylib       	0x00007fff919b2c3b _pthread_cond_wait + 727
2   X11.bin                       	0x000000010000e4ed DarwinProcessFDAdditionQueue_thread + 181
3   libsystem_pthread.dylib       	0x00007fff919b0899 _pthread_body + 138
4   libsystem_pthread.dylib       	0x00007fff919b072a _pthread_start + 137
5   libsystem_pthread.dylib       	0x00007fff919b4fc9 thread_start + 13

Thread 6:: com.apple.CFSocket.private
0   libsystem_kernel.dylib        	0x00007fff92a129aa __select + 10
1   com.apple.CoreFoundation      	0x00007fff86aeaa03 __CFSocketManager + 867
2   libsystem_pthread.dylib       	0x00007fff919b0899 _pthread_body + 138
3   libsystem_pthread.dylib       	0x00007fff919b072a _pthread_start + 137
4   libsystem_pthread.dylib       	0x00007fff919b4fc9 thread_start + 13

Thread 7:
0   libsystem_kernel.dylib        	0x00007fff92a12716 __psynch_cvwait + 10
1   libsystem_pthread.dylib       	0x00007fff919b2c3b _pthread_cond_wait + 727
2   libXplugin.1.dylib            	0x0000000100257df4 _xp_async_dequeue + 40
3   libXplugin.1.dylib            	0x0000000100257dac _xp_async_thread + 82
4   libsystem_pthread.dylib       	0x00007fff919b0899 _pthread_body + 138
5   libsystem_pthread.dylib       	0x00007fff919b072a _pthread_start + 137
6   libsystem_pthread.dylib       	0x00007fff919b4fc9 thread_start + 13

Thread 8:
0   libsystem_kernel.dylib        	0x00007fff92a12e6a __workq_kernreturn + 10
1   libsystem_pthread.dylib       	0x00007fff919b1f08 _pthread_wqthread + 330
2   libsystem_pthread.dylib       	0x00007fff919b4fb9 start_wqthread + 13

Thread 9:
0   libsystem_kernel.dylib        	0x00007fff92a12e6a __workq_kernreturn + 10
1   libsystem_pthread.dylib       	0x00007fff919b1f08 _pthread_wqthread + 330
2   libsystem_pthread.dylib       	0x00007fff919b4fb9 start_wqthread + 13

Thread 2 crashed with X86 Thread State (64-bit):
  rax: 0x0000000100720005  rbx: 0x000000004061636d  rcx: 0x0000000000e00027  rdx: 0x0000000102d5da40
  rdi: 0x000000004061636d  rsi: 0x0000000000000001  rbp: 0x0000000102d5da60  rsp: 0x0000000102d5da50
   r8: 0x000000000000000f   r9: 0x0000000100700000  r10: 0x00000000a0841b7e  r11: 0x000000007fae4e6c
  r12: 0x0000000000000000  r13: 0x0000000000000053  r14: 0x000000010072f260  r15: 0x0000000000000200
  rip: 0x0000000100003752  rfl: 0x0000000000010202  cr2: 0x0000000040616381
  
Logical CPU:     0
Error Code:      0x00000006
Trap Number:     14


Binary Images:
       0x100000000 -        0x1001a2ff7 +X11.bin (???) <31C46B7E-25CB-3380-9144-D97B58712F1F> /Applications/Utilities/XQuartz.app/Contents/MacOS/X11.bin
       0x10021e000 -        0x10023cff7 +org.andymatuschak.Sparkle (1.5 Beta [git] - 1.5) <86D950E3-9D3C-3137-9BA0-451317D42AAD> /Applications/Utilities/XQuartz.app/Contents/Frameworks/Sparkle.framework/Versions/A/Sparkle
       0x100257000 -        0x100264ff7 +libXplugin.1.dylib (1) <EE9111D7-CD1B-3935-8B3C-5B4D7AC9E771> /opt/X11/*/libXplugin.1.dylib
       0x10026f000 -        0x100270fff +libAppleWM.7.dylib (8) <61467F9F-4C7E-3838-A86E-987ECC452567> /opt/X11/*/libAppleWM.7.dylib
       0x100275000 -        0x100277fff +libXfixes.3.dylib (5) <E460D49A-2138-32EF-AD8F-389E6F9E2C7D> /opt/X11/*/libXfixes.3.dylib
       0x10027d000 -        0x100386fff +libX11.6.dylib (10) <87781555-B810-3B19-95D6-C67EB8C7B4A6> /opt/X11/*/libX11.6.dylib
       0x1003ae000 -        0x100428fff +libpixman-1.0.dylib (33.6) <60013C23-1443-3708-8F0A-E2919D2A793A> /opt/X11/*/libpixman-1.0.dylib
       0x10043f000 -        0x10046ffff +libXfont.1.dylib (6.1) <B6E8E6F7-22D4-3C94-B1C4-6D7A1E388D4F> /opt/X11/*/libXfont.1.dylib
       0x10047f000 -        0x100480fff +libXau.6.dylib (7) <58D3B6CB-9468-3826-9D52-8F0FCE8CCE3B> /opt/X11/*/libXau.6.dylib
       0x100485000 -        0x100485ff7 +libxshmfence.1.dylib (2) <1F55E52E-945F-36C9-9755-344CC6181EB2> /opt/X11/*/libxshmfence.1.dylib
       0x10048a000 -        0x10048dfff +libXdmcp.6.dylib (7) <6DD4CCAD-9891-3039-A7DA-3EA54D85FDF6> /opt/X11/*/libXdmcp.6.dylib
       0x100493000 -        0x10049efff +libXext.6.dylib (11) <F99B45C5-2121-3A29-B101-297DC513942E> /opt/X11/*/libXext.6.dylib
       0x1004a6000 -        0x1004bbff7 +libxcb.1.dylib (3) <4C73EEBD-08C6-3C93-9F2C-60CF7D63D6F1> /opt/X11/*/libxcb.1.dylib
       0x1004cd000 -        0x100549ff7 +libfreetype.6.dylib (18.2) <FFF7309F-4EA6-38E1-B512-68405CFD903A> /opt/X11/*/libfreetype.6.dylib
       0x100563000 -        0x100566fff +libfontenc.1.dylib (2) <53765074-1BCD-30EE-B410-5B9AADC4AFBE> /opt/X11/*/libfontenc.1.dylib
       0x107ef0000 -        0x107ef0feb +cl_kernels (???) <C13932D4-BD12-471D-BE4D-2327A44B1CD7> cl_kernels
       0x108e91000 -        0x108f77fef  unorm8_bgra.dylib (2.3.58) <280D6FDD-8CA5-36EC-9EA1-D7DC09598E20> /System/Library/Frameworks/OpenCL.framework/Versions/A/Libraries/ImageFormats/unorm8_bgra.dylib
    0x123440000000 -     0x123440882ff7  com.apple.GeForceGLDriver (8.26.26 - 8.2.6) <5CF90B2D-22CB-360C-9B0B-DC15A4B9CE8B> /System/Library/Extensions/GeForceGLDriver.bundle/Contents/MacOS/GeForceGLDriver
    0x7fff6dc28000 -     0x7fff6dc5b817  dyld (239.4) <042C4CED-6FB2-3B1C-948B-CAF2EE3B9F7A> /usr/lib/dyld
    0x7fff84f25000 -     0x7fff84f54fd2  libsystem_m.dylib (3047.16) <B7F0E2E4-2777-33FC-A787-D6430B630D54> /usr/lib/system/libsystem_m.dylib
    0x7fff84f55000 -     0x7fff8523ffff  com.apple.CoreServices.CarbonCore (1077.17 - 1077.17) <3A2E92FD-DEE2-3D45-9619-11500801A61C> /System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/CarbonCore.framework/Versions/A/CarbonCore
    0x7fff8570d000 -     0x7fff8571afff  com.apple.Sharing (132.2 - 132.2) <F983394A-226D-3244-B511-FA51FDB6ADDA> /System/Library/PrivateFrameworks/Sharing.framework/Versions/A/Sharing
    0x7fff85b04000 -     0x7fff85b04fff  com.apple.Carbon (154 - 157) <45A9A40A-78FF-3EA0-8FAB-A4F81052FA55> /System/Library/Frameworks/Carbon.framework/Versions/A/Carbon
    0x7fff85b05000 -     0x7fff85b05ff7  libkeymgr.dylib (28) <3AA8D85D-CF00-3BD3-A5A0-E28E1A32A6D8> /usr/lib/system/libkeymgr.dylib
    0x7fff85bdb000 -     0x7fff85bdbffd  libOpenScriptingUtil.dylib (157) <19F0E769-0989-3062-9AFB-8976E90E9759> /usr/lib/libOpenScriptingUtil.dylib
    0x7fff86033000 -     0x7fff8604bff7  com.apple.openscripting (1.4 - 157) <B3B037D7-1019-31E6-9D17-08E699AF3701> /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/OpenScripting.framework/Versions/A/OpenScripting
    0x7fff8604c000 -     0x7fff8607dfff  com.apple.MediaKit (15 - 709) <23E33409-5C39-3F93-9E73-2B0E9EE8883E> /System/Library/PrivateFrameworks/MediaKit.framework/Versions/A/MediaKit
    0x7fff8607e000 -     0x7fff860f5fff  com.apple.CoreServices.OSServices (600.4 - 600.4) <C63562F5-6DF5-3EE9-8897-FF61A44C8251> /System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/OSServices.framework/Versions/A/OSServices
    0x7fff863b3000 -     0x7fff863e2ff9  com.apple.GSS (4.0 - 2.0) <44E914BE-B0D0-3E05-9451-CA9E539AFA52> /System/Library/Frameworks/GSS.framework/Versions/A/GSS
    0x7fff863e3000 -     0x7fff864d4ff9  libiconv.2.dylib (41) <BB44B115-AC32-3877-A0ED-AEC6232A4563> /usr/lib/libiconv.2.dylib
    0x7fff864d5000 -     0x7fff86541fff  com.apple.framework.IOKit (2.0.1 - 907.100.13) <057FDBA3-56D6-3903-8C0B-849214BF1985> /System/Library/Frameworks/IOKit.framework/Versions/A/IOKit
    0x7fff86592000 -     0x7fff86595fff  libCoreVMClient.dylib (58.1) <EBC36C69-C896-3C3D-8589-3E9023E7E56F> /System/Library/Frameworks/OpenGL.framework/Versions/A/Libraries/libCoreVMClient.dylib
    0x7fff86596000 -     0x7fff865afff7  com.apple.Ubiquity (1.3 - 289) <C7F1B734-CE81-334D-BE41-8B20D95A1F9B> /System/Library/PrivateFrameworks/Ubiquity.framework/Versions/A/Ubiquity
    0x7fff865de000 -     0x7fff865f0fff  com.apple.ImageCapture (9.0 - 9.0) <BE0B65DA-3031-359B-8BBA-B9803D4ADBF4> /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/ImageCapture.framework/Versions/A/ImageCapture
    0x7fff86656000 -     0x7fff86656ffd  com.apple.audio.units.AudioUnit (1.10 - 1.10) <68B21135-55A6-3563-A3D6-3E692A7DEB7F> /System/Library/Frameworks/AudioUnit.framework/Versions/A/AudioUnit
    0x7fff86657000 -     0x7fff86661ff7  com.apple.bsd.ServiceManagement (2.0 - 2.0) <2D27B498-BB9C-3D88-B05A-76908A8A26F3> /System/Library/Frameworks/ServiceManagement.framework/Versions/A/ServiceManagement
    0x7fff866aa000 -     0x7fff86a21ff6  com.apple.JavaScriptCore (9537 - 9537.77.1) <F588191A-25E6-31AC-A325-B7779DC6D1EC> /System/Library/Frameworks/JavaScriptCore.framework/Versions/A/JavaScriptCore
    0x7fff86a22000 -     0x7fff86a23ff7  com.apple.print.framework.Print (9.0 - 260) <EE00FAE1-DA03-3EC2-8571-562518C46994> /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/Print.framework/Versions/A/Print
    0x7fff86a2e000 -     0x7fff86c13fff  com.apple.CoreFoundation (6.9 - 855.17) <729BD6DA-1F63-3E72-A148-26F21EBF52BB> /System/Library/Frameworks/CoreFoundation.framework/Versions/A/CoreFoundation
    0x7fff86c14000 -     0x7fff86c19fff  com.apple.DiskArbitration (2.6 - 2.6) <A4165553-770E-3D27-B217-01FC1F852B87> /System/Library/Frameworks/DiskArbitration.framework/Versions/A/DiskArbitration
    0x7fff86c1a000 -     0x7fff86c1afff  com.apple.CoreServices (59 - 59) <7A697B5E-F179-30DF-93F2-8B503CEEEFD5> /System/Library/Frameworks/CoreServices.framework/Versions/A/CoreServices
    0x7fff86c6e000 -     0x7fff86c88fff  libdispatch.dylib (339.92.1) <C4E4A18D-3C3B-3C9C-8709-A4270D998DE7> /usr/lib/system/libdispatch.dylib
    0x7fff86ca8000 -     0x7fff86cd1fff  GLRendererFloat (9.6.1) <23A2C705-F932-335D-B27B-565A30333460> /System/Library/Frameworks/OpenGL.framework/Versions/A/Resources/GLRendererFloat.bundle/GLRendererFloat
    0x7fff86cd2000 -     0x7fff86cdcfff  libcommonCrypto.dylib (60049) <8C4F0CA0-389C-3EDC-B155-E62DD2187E1D> /usr/lib/system/libcommonCrypto.dylib
    0x7fff86d1e000 -     0x7fff86d65ff7  libcups.2.dylib (372.4) <36EA4350-43B4-3A5C-9904-10685BFDA7D4> /usr/lib/libcups.2.dylib
    0x7fff86d66000 -     0x7fff86d68ff7  libquarantine.dylib (71) <7A1A2BCB-C03D-3A25-BFA4-3E569B2D2C38> /usr/lib/system/libquarantine.dylib
    0x7fff87711000 -     0x7fff8771aff3  libsystem_notify.dylib (121) <52571EC3-6894-37E4-946E-064B021ED44E> /usr/lib/system/libsystem_notify.dylib
    0x7fff87965000 -     0x7fff87995fff  com.apple.IconServices (25 - 25.17) <4751127E-FBD5-3ED5-8510-08D4E4166EFE> /System/Library/PrivateFrameworks/IconServices.framework/Versions/A/IconServices
    0x7fff87a02000 -     0x7fff8832232b  com.apple.CoreGraphics (1.600.0 - 599.25.10.1) <EC14B831-96BB-3A50-A451-E36BDC8F59FB> /System/Library/Frameworks/CoreGraphics.framework/Versions/A/CoreGraphics
    0x7fff88323000 -     0x7fff88327fff  libpam.2.dylib (20) <B93CE8F5-DAA8-30A1-B1F6-F890509513CB> /usr/lib/libpam.2.dylib
    0x7fff8884c000 -     0x7fff8889ffff  com.apple.ScalableUserInterface (1.0 - 1) <CF745298-7373-38D2-B3B1-727D5A569E48> /System/Library/Frameworks/QuartzCore.framework/Versions/A/Frameworks/ScalableUserInterface.framework/Versions/A/ScalableUserInterface
    0x7fff88911000 -     0x7fff8891bff7  com.apple.CrashReporterSupport (10.9 - 539) <B25A09EC-A021-32EC-86F8-05B4837E0EDE> /System/Library/PrivateFrameworks/CrashReporterSupport.framework/Versions/A/CrashReporterSupport
    0x7fff88ae0000 -     0x7fff88b98ff7  com.apple.DiscRecording (8.0 - 8000.4.6) <CDAAAD04-A1D0-3C67-ABCC-EFC9E8D44E7E> /System/Library/Frameworks/DiscRecording.framework/Versions/A/DiscRecording
    0x7fff88b99000 -     0x7fff88c22ff7  libsystem_c.dylib (997.90.3) <6FD3A400-4BB2-3B95-B90C-BE6E9D0D78FA> /usr/lib/system/libsystem_c.dylib
    0x7fff88c23000 -     0x7fff88d93ff4  com.apple.CFNetwork (673.4 - 673.4) <F3BF6020-99BE-3844-A7B8-352B93AD02F3> /System/Library/Frameworks/CFNetwork.framework/Versions/A/CFNetwork
    0x7fff88d94000 -     0x7fff88e44ff7  libvMisc.dylib (423.32) <049C0735-1808-39B9-943F-76CB8021744F> /System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/libvMisc.dylib
    0x7fff88e45000 -     0x7fff88e93ff7  com.apple.opencl (2.3.59 - 2.3.59) <044485A4-A50C-34CE-A1F9-35A50CC68313> /System/Library/Frameworks/OpenCL.framework/Versions/A/OpenCL
    0x7fff88e94000 -     0x7fff88e95fff  com.apple.TrustEvaluationAgent (2.0 - 25) <334A82F4-4AE4-3719-A511-86D0B0723E2B> /System/Library/PrivateFrameworks/TrustEvaluationAgent.framework/Versions/A/TrustEvaluationAgent
    0x7fff88e96000 -     0x7fff88e9bfff  libmacho.dylib (845) <1D2910DF-C036-3A82-A3FD-44FF73B5FF9B> /usr/lib/system/libmacho.dylib
    0x7fff88e9c000 -     0x7fff88ea9ff7  libxar.1.dylib (202) <5572AA71-E98D-3FE1-9402-BB4A84E0E71E> /usr/lib/libxar.1.dylib
    0x7fff89073000 -     0x7fff890b4fff  com.apple.PerformanceAnalysis (1.47 - 47) <7B73DFF4-75DB-3403-80D2-0F3FE48764C3> /System/Library/PrivateFrameworks/PerformanceAnalysis.framework/Versions/A/PerformanceAnalysis
    0x7fff890f4000 -     0x7fff8914dfff  libTIFF.dylib (1043) <D7CAE68F-6087-3B40-9CB8-EC6DB47BF877> /System/Library/Frameworks/ImageIO.framework/Versions/A/Resources/libTIFF.dylib
    0x7fff8914e000 -     0x7fff89159fff  libGL.dylib (9.6.1) <4B65BF9F-F34A-3CD1-94E8-DB26DAA0A59D> /System/Library/Frameworks/OpenGL.framework/Versions/A/Libraries/libGL.dylib
    0x7fff8915a000 -     0x7fff89182ffb  libRIP.A.dylib (599.25.10.1) <623091DF-5769-3326-90EB-44EFC8087660> /System/Library/Frameworks/CoreGraphics.framework/Versions/A/Resources/libRIP.A.dylib
    0x7fff8947b000 -     0x7fff89504fff  com.apple.ColorSync (4.9.0 - 4.9.0) <B756B908-9AD1-3F5D-83F9-7A0B068387D2> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ColorSync.framework/Versions/A/ColorSync
    0x7fff89506000 -     0x7fff89512ffb  com.apple.AppleFSCompression (56.92.1 - 1.0) <066255FD-DBD1-3041-8DDA-7AFC41C9096D> /System/Library/PrivateFrameworks/AppleFSCompression.framework/Versions/A/AppleFSCompression
    0x7fff89515000 -     0x7fff895dffff  com.apple.LaunchServices (572.28 - 572.28) <FDED4724-4CB6-3DE5-B785-AE6D4C261CF6> /System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/LaunchServices.framework/Versions/A/LaunchServices
    0x7fff89722000 -     0x7fff8972eff7  com.apple.OpenDirectory (10.9 - 173.90.1) <256C265B-7FA6-326D-9F60-18DADF5F3A0E> /System/Library/Frameworks/OpenDirectory.framework/Versions/A/OpenDirectory
    0x7fff8985f000 -     0x7fff89887ffb  libxslt.1.dylib (13) <C9794936-633C-3F0C-9E71-30190B9B41C1> /usr/lib/libxslt.1.dylib
    0x7fff89b16000 -     0x7fff89b17ff7  libDiagnosticMessagesClient.dylib (100) <4CDB0F7B-C0AF-3424-BC39-495696F0DB1E> /usr/lib/libDiagnosticMessagesClient.dylib
    0x7fff89b34000 -     0x7fff89cecffb  libicucore.A.dylib (511.34) <616A65D6-3F20-3EAB-8CA8-273AD890261C> /usr/lib/libicucore.A.dylib
    0x7fff89ced000 -     0x7fff89ceeff7  libsystem_blocks.dylib (63) <FB856CD1-2AEA-3907-8E9B-1E54B6827F82> /usr/lib/system/libsystem_blocks.dylib
    0x7fff89cf2000 -     0x7fff89d57ffb  com.apple.Heimdal (4.0 - 2.0) <F34D6627-9F80-3823-8B57-DB629307DF87> /System/Library/PrivateFrameworks/Heimdal.framework/Versions/A/Heimdal
    0x7fff89d58000 -     0x7fff89d61ffd  com.apple.CommonAuth (4.0 - 2.0) <32BA436F-6319-3A0B-B5D2-2EB75FF36B5B> /System/Library/PrivateFrameworks/CommonAuth.framework/Versions/A/CommonAuth
    0x7fff89df6000 -     0x7fff89e1afff  libxpc.dylib (300.90.2) <AB40CD57-F454-3FD4-B415-63B3C0D5C624> /usr/lib/system/libxpc.dylib
    0x7fff89f1c000 -     0x7fff89f8ffff  com.apple.securityfoundation (6.0 - 55122.3) <8575DF7A-EC79-3FCE-A737-7512363A5B12> /System/Library/Frameworks/SecurityFoundation.framework/Versions/A/SecurityFoundation
    0x7fff8a007000 -     0x7fff8a01eff7  com.apple.CFOpenDirectory (10.9 - 173.90.1) <EBC0A1F2-9054-3D39-99AE-A3F655E55D6A> /System/Library/Frameworks/OpenDirectory.framework/Versions/A/Frameworks/CFOpenDirectory.framework/Versions/A/CFOpenDirectory
    0x7fff8a01f000 -     0x7fff8a021ffb  libutil.dylib (34) <DAC4A6CF-A1BB-3874-9569-A919316D30E8> /usr/lib/libutil.dylib
    0x7fff8a0ae000 -     0x7fff8a7fdfff  libclh.dylib (4.0.3 - 4.0.3) <19932A17-7823-37F3-B2D9-FD5D40E54637> /System/Library/Extensions/GeForceGLDriver.bundle/Contents/MacOS/libclh.dylib
    0x7fff8a7fe000 -     0x7fff8a800fff  com.apple.EFILogin (2.0 - 2) <C360E8AF-E9BB-3BBA-9DF0-57A92CEF00D4> /System/Library/PrivateFrameworks/EFILogin.framework/Versions/A/EFILogin
    0x7fff8a808000 -     0x7fff8a80dff7  libunwind.dylib (35.3) <78DCC358-2FC1-302E-B395-0155B47CB547> /usr/lib/system/libunwind.dylib
    0x7fff8a8af000 -     0x7fff8a8bafff  libkxld.dylib (2422.110.17) <B6140BAB-0EAF-3E4F-B055-314068056BB4> /usr/lib/system/libkxld.dylib
    0x7fff8a8bb000 -     0x7fff8ab4fff7  com.apple.RawCamera.bundle (5.06 - 751) <A8B1EEDB-FDCB-3EDC-9728-E3FAA644A499> /System/Library/CoreServices/RawCamera.bundle/Contents/MacOS/RawCamera
    0x7fff8afb3000 -     0x7fff8afb3fff  com.apple.Cocoa (6.8 - 20) <E90E99D7-A425-3301-A025-D9E0CD11918E> /System/Library/Frameworks/Cocoa.framework/Versions/A/Cocoa
    0x7fff8b04d000 -     0x7fff8b07eff7  libtidy.A.dylib (15.12) <BF757E3C-733A-3B6B-809A-A3949D46466E> /usr/lib/libtidy.A.dylib
    0x7fff8b470000 -     0x7fff8b5a6ffd  com.apple.WebKit (9537 - 9537.77.4) <A0291E16-4ED9-30E8-B9A2-DB836778EE9E> /System/Library/Frameworks/WebKit.framework/Versions/A/WebKit
    0x7fff8b5a7000 -     0x7fff8b5cbff7  libJPEG.dylib (1043) <25723F3F-48A6-3AC5-A7A3-58E418FEBF3F> /System/Library/Frameworks/ImageIO.framework/Versions/A/Resources/libJPEG.dylib
    0x7fff8b5cc000 -     0x7fff8b5d0ff7  libsystem_stats.dylib (93.90.3) <4E51D5B0-92A0-3D0D-B90E-495A1ED3E391> /usr/lib/system/libsystem_stats.dylib
    0x7fff8b5f6000 -     0x7fff8b606fff  libbsm.0.dylib (33) <2CAC00A2-1352-302A-88FA-C567D4D69179> /usr/lib/libbsm.0.dylib
    0x7fff8b607000 -     0x7fff8b6f5fff  libJP2.dylib (1043) <C4031D64-6C57-3FB4-9D87-874D387381DB> /System/Library/Frameworks/ImageIO.framework/Versions/A/Resources/libJP2.dylib
    0x7fff8b700000 -     0x7fff8b7d1ff1  com.apple.DiskImagesFramework (10.9 - 371.1) <D85430A6-1410-3B5F-9D11-17E2440B786E> /System/Library/PrivateFrameworks/DiskImages.framework/Versions/A/DiskImages
    0x7fff8b7d2000 -     0x7fff8ba2cff9  com.apple.security (7.0 - 55471.14.8) <EA03E140-2509-3A07-8440-2DC97C0D478B> /System/Library/Frameworks/Security.framework/Versions/A/Security
    0x7fff8ba2d000 -     0x7fff8ba31ff7  libheimdal-asn1.dylib (323.92.1) <CAE21FFF-5763-399C-B7C5-EEBFFEEF2242> /usr/lib/libheimdal-asn1.dylib
    0x7fff8ba32000 -     0x7fff8ba43ff7  libsystem_asl.dylib (217.1.4) <655FB343-52CF-3E2F-B14D-BEBF5AAEF94D> /usr/lib/system/libsystem_asl.dylib
    0x7fff8ba4a000 -     0x7fff8ba4bffb  libremovefile.dylib (33) <3543F917-928E-3DB2-A2F4-7AB73B4970EF> /usr/lib/system/libremovefile.dylib
    0x7fff8ba4c000 -     0x7fff8ba50fff  com.apple.IOAccelerator (98.22 - 98.22) <AB1F2662-330B-3D88-8E30-A8343203CD38> /System/Library/PrivateFrameworks/IOAccelerator.framework/Versions/A/IOAccelerator
    0x7fff8ba51000 -     0x7fff8be84ffb  com.apple.vision.FaceCore (3.0.0 - 3.0.0) <F42BFC9C-0B16-35EF-9A07-91B7FDAB7FC5> /System/Library/PrivateFrameworks/FaceCore.framework/Versions/A/FaceCore
    0x7fff8be85000 -     0x7fff8c9fbff7  com.apple.AppKit (6.9 - 1265.21) <9DC13B27-841D-3839-93B2-3EDE66157BDE> /System/Library/Frameworks/AppKit.framework/Versions/C/AppKit
    0x7fff8c9fc000 -     0x7fff8d84fffb  com.apple.WebCore (9537 - 9537.77.4) <9C4E816A-0DAC-31B2-85C3-910164F3E741> /System/Library/Frameworks/WebKit.framework/Versions/A/Frameworks/WebCore.framework/Versions/A/WebCore
    0x7fff8d8bc000 -     0x7fff8d8c3fff  com.apple.NetFS (6.0 - 4.0) <8E26C099-CE9D-3819-91A2-64EA929C6137> /System/Library/Frameworks/NetFS.framework/Versions/A/NetFS
    0x7fff8d8cd000 -     0x7fff8d8d1ff7  libcache.dylib (62) <BDC1E65B-72A1-3DA3-A57C-B23159CAAD0B> /usr/lib/system/libcache.dylib
    0x7fff8d8d2000 -     0x7fff8d8dfff0  libbz2.1.0.dylib (29) <0B98AC35-B138-349C-8063-2B987A75D24C> /usr/lib/libbz2.1.0.dylib
    0x7fff8d8e0000 -     0x7fff8d9c7ff7  libxml2.2.dylib (26) <A1DADD11-89E5-3DE4-8802-07186225967F> /usr/lib/libxml2.2.dylib
    0x7fff8d9c8000 -     0x7fff8da93fff  libvDSP.dylib (423.32) <3BF732BE-DDE0-38EB-8C54-E4E3C64F77A7> /System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/libvDSP.dylib
    0x7fff8daa7000 -     0x7fff8dac0ff7  com.apple.Kerberos (3.0 - 1) <F108AFEB-198A-3BAF-BCA5-9DFCE55EFF92> /System/Library/Frameworks/Kerberos.framework/Versions/A/Kerberos
    0x7fff8dac1000 -     0x7fff8dac8ffb  libcopyfile.dylib (103.92.1) <CF29DFF6-0589-3590-834C-82E2316612E8> /usr/lib/system/libcopyfile.dylib
    0x7fff8dac9000 -     0x7fff8db4afff  com.apple.CoreSymbolication (3.0.1 - 141.0.5) <20E484C4-9F0E-3DF6-BB27-D509859FF57A> /System/Library/PrivateFrameworks/CoreSymbolication.framework/Versions/A/CoreSymbolication
    0x7fff8db4d000 -     0x7fff8db5aff4  com.apple.Librarian (1.2 - 1) <F1A2744D-8536-32C7-8218-9972C6300DAE> /System/Library/PrivateFrameworks/Librarian.framework/Versions/A/Librarian
    0x7fff8db5b000 -     0x7fff8db5bfff  com.apple.ApplicationServices (48 - 48) <3E3F01A8-314D-378F-835E-9CC4F8820031> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/ApplicationServices
    0x7fff8db5c000 -     0x7fff8db5fffc  com.apple.IOSurface (91.1 - 91.1) <D00EEB0C-8AA8-3986-90C1-C97B2486E8FA> /System/Library/Frameworks/IOSurface.framework/Versions/A/IOSurface
    0x7fff8db60000 -     0x7fff8db68ffc  libGFXShared.dylib (9.6.1) <25BBF325-AC57-3BAA-9427-2D14CC243AE6> /System/Library/Frameworks/OpenGL.framework/Versions/A/Libraries/libGFXShared.dylib
    0x7fff8db69000 -     0x7fff8db90ffb  libsystem_info.dylib (449.1.3) <7D41A156-D285-3849-A2C3-C04ADE797D98> /usr/lib/system/libsystem_info.dylib
    0x7fff8db91000 -     0x7fff8db92fff  libsystem_sandbox.dylib (278.11.1) <0D0B13EA-6B7A-3AC8-BE60-B548543BEB77> /usr/lib/system/libsystem_sandbox.dylib
    0x7fff8db93000 -     0x7fff8dbebff7  com.apple.Symbolication (1.4 - 129.0.2) <B1F008C4-184D-36A2-922F-4A67A075D512> /System/Library/PrivateFrameworks/Symbolication.framework/Versions/A/Symbolication
    0x7fff8de03000 -     0x7fff8de32fff  com.apple.DebugSymbols (106 - 106) <E1BDED08-523A-36F4-B2DA-9D5C712F0AC7> /System/Library/PrivateFrameworks/DebugSymbols.framework/Versions/A/DebugSymbols
    0x7fff8de33000 -     0x7fff8de41fff  com.apple.opengl (9.6.1 - 9.6.1) <B22FA400-5824-36AF-9945-5FEC31995A0E> /System/Library/Frameworks/OpenGL.framework/Versions/A/OpenGL
    0x7fff8de42000 -     0x7fff8de6bfff  com.apple.DictionaryServices (1.2 - 208) <A539A058-BA57-35EE-AA08-D0B0E835127D> /System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/DictionaryServices.framework/Versions/A/DictionaryServices
    0x7fff8de7f000 -     0x7fff8e01bff3  com.apple.QuartzCore (1.8 - 332.3) <72003E51-1287-395B-BCBC-331597D45C5E> /System/Library/Frameworks/QuartzCore.framework/Versions/A/QuartzCore
    0x7fff8e01c000 -     0x7fff8e06afff  libcorecrypto.dylib (161.1) <F3973C28-14B6-3006-BB2B-00DD7F09ABC7> /usr/lib/system/libcorecrypto.dylib
    0x7fff8e246000 -     0x7fff8e39aff3  com.apple.audio.toolbox.AudioToolbox (1.10 - 1.10) <69B273E8-5A8E-3FC7-B807-C16B657662FE> /System/Library/Frameworks/AudioToolbox.framework/Versions/A/AudioToolbox
    0x7fff8e3e1000 -     0x7fff8e68bff5  com.apple.HIToolbox (2.1.1 - 698) <A388E773-AE7B-3FD1-8662-A98E6E24EA16> /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/HIToolbox.framework/Versions/A/HIToolbox
    0x7fff8e6ee000 -     0x7fff8e706ff7  com.apple.GenerationalStorage (2.0 - 160.3) <64749B08-0212-3AC8-9B49-73D662B09304> /System/Library/PrivateFrameworks/GenerationalStorage.framework/Versions/A/GenerationalStorage
    0x7fff8eb18000 -     0x7fff8eb3fff7  com.apple.shortcut (2.6 - 2.6) <A62BC973-6782-3893-B014-EC6503AB7EAD> /System/Library/PrivateFrameworks/Shortcut.framework/Versions/A/Shortcut
    0x7fff8eb40000 -     0x7fff8eb43fff  com.apple.TCC (1.0 - 1) <32A075D9-47FD-3E71-95BC-BFB0D583F41C> /System/Library/PrivateFrameworks/TCC.framework/Versions/A/TCC
    0x7fff8eb44000 -     0x7fff8eb6bff7  libsystem_network.dylib (241.3) <8B1E1F1D-A5CC-3BAE-8B1E-ABC84337A364> /usr/lib/system/libsystem_network.dylib
    0x7fff8eb6c000 -     0x7fff8eb72ff7  libCGXCoreImage.A.dylib (599.25.10.1) <1AB1B2B2-55A9-3780-BCB9-1B3CE375D739> /System/Library/Frameworks/CoreGraphics.framework/Versions/A/Resources/libCGXCoreImage.A.dylib
    0x7fff8eb7e000 -     0x7fff8ececff7  libBLAS.dylib (1094.5) <DE93A590-5FA5-32A2-A16C-5D7D7361769F> /System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/libBLAS.dylib
    0x7fff8eced000 -     0x7fff8edafff5  com.apple.CoreText (367.20 - 367.20) <B80D086D-93A9-3C35-860E-9C3FDD027F3B> /System/Library/Frameworks/CoreText.framework/Versions/A/CoreText
    0x7fff8edb0000 -     0x7fff8edcbff7  libCRFSuite.dylib (34) <FFAE75FA-C54E-398B-AA97-18164CD9789D> /usr/lib/libCRFSuite.dylib
    0x7fff8edef000 -     0x7fff8ee4affb  com.apple.AE (665.5 - 665.5) <BBA230F9-144C-3CAB-A77A-0621719244CD> /System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/AE.framework/Versions/A/AE
    0x7fff8ee4b000 -     0x7fff8ee4bfff  com.apple.Accelerate.vecLib (3.9 - vecLib 3.9) <F8D0CC77-98AC-3B58-9FE6-0C25421827B6> /System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/vecLib
    0x7fff8ee4c000 -     0x7fff8ee75ff7  libc++abi.dylib (49.1) <21A807D3-6732-3455-B77F-743E9F916DF0> /usr/lib/libc++abi.dylib
    0x7fff8ee76000 -     0x7fff8eeb5fff  libGLU.dylib (9.6.1) <AE032555-3E2F-3DBF-A26D-EA4576061605> /System/Library/Frameworks/OpenGL.framework/Versions/A/Libraries/libGLU.dylib
    0x7fff8eeb6000 -     0x7fff8f063f27  libobjc.A.dylib (551.1) <AD7FD984-271E-30F4-A361-6B20319EC73B> /usr/lib/libobjc.A.dylib
    0x7fff8f1d8000 -     0x7fff8f23cfff  com.apple.datadetectorscore (5.0 - 354.5) <0AE9749A-6BFC-3032-B802-210DF59AEDB0> /System/Library/PrivateFrameworks/DataDetectorsCore.framework/Versions/A/DataDetectorsCore
    0x7fff8f2ad000 -     0x7fff8f2b5fff  libsystem_dnssd.dylib (522.92.1) <17B03FFD-92C5-3282-9981-EBB28B456207> /usr/lib/system/libsystem_dnssd.dylib
    0x7fff8f2b6000 -     0x7fff8f3e6ff7  com.apple.desktopservices (1.8.3 - 1.8.3) <225BEC20-F8E0-3F22-9560-890A1A5B9050> /System/Library/PrivateFrameworks/DesktopServicesPriv.framework/Versions/A/DesktopServicesPriv
    0x7fff8f423000 -     0x7fff8f6f4ff4  com.apple.CoreImage (9.4.0) <2C636ECD-0F1A-357C-9EFF-0452476FDDF5> /System/Library/Frameworks/QuartzCore.framework/Versions/A/Frameworks/CoreImage.framework/Versions/A/CoreImage
    0x7fff8f6f5000 -     0x7fff8f6f5fff  com.apple.Accelerate (1.9 - Accelerate 1.9) <509BB27A-AE62-366D-86D8-0B06D217CF56> /System/Library/Frameworks/Accelerate.framework/Versions/A/Accelerate
    0x7fff8f6f6000 -     0x7fff8f701ff7  com.apple.NetAuth (5.0 - 5.0) <C811E662-9EC3-3B74-808A-A75D624F326B> /System/Library/PrivateFrameworks/NetAuth.framework/Versions/A/NetAuth
    0x7fff8f702000 -     0x7fff8f7ecfff  libsqlite3.dylib (158) <00269BF9-43BE-39E0-9C85-24585B9923C8> /usr/lib/libsqlite3.dylib
    0x7fff8f84b000 -     0x7fff8f854ff7  libcldcpuengine.dylib (2.3.58) <E3A84FEC-4060-39C2-A469-159A443D2B6D> /System/Library/Frameworks/OpenCL.framework/Versions/A/Libraries/libcldcpuengine.dylib
    0x7fff8f999000 -     0x7fff8f9a0fff  libcompiler_rt.dylib (35) <4CD916B2-1B17-362A-B403-EF24A1DAC141> /usr/lib/system/libcompiler_rt.dylib
    0x7fff8f9a1000 -     0x7fff8fa80fff  libcrypto.0.9.8.dylib (50) <B95B9DBA-39D3-3EEF-AF43-44608B28894E> /usr/lib/libcrypto.0.9.8.dylib
    0x7fff8fa9b000 -     0x7fff8fc01fff  libGLProgrammability.dylib (9.6.1) <07700B99-8542-32D7-BB96-29472EFE75EF> /System/Library/Frameworks/OpenGL.framework/Versions/A/Libraries/libGLProgrammability.dylib
    0x7fff8fc3d000 -     0x7fff8fc43fff  com.apple.AOSNotification (1.7.0 - 760.3) <7901B867-60F7-3645-BB3E-18C51A6FBCC6> /System/Library/PrivateFrameworks/AOSNotification.framework/Versions/A/AOSNotification
    0x7fff8fc44000 -     0x7fff8fc79ffc  com.apple.LDAPFramework (2.4.28 - 194.5) <4ADD0595-25B9-3F09-897E-3FB790AD2C5A> /System/Library/Frameworks/LDAP.framework/Versions/A/LDAP
    0x7fff8fcf7000 -     0x7fff8fd2fff7  com.apple.RemoteViewServices (2.0 - 94) <3F34D630-3DDB-3411-BC28-A56A9B55EBDA> /System/Library/PrivateFrameworks/RemoteViewServices.framework/Versions/A/RemoteViewServices
    0x7fff8fd30000 -     0x7fff8fdf4ff7  com.apple.backup.framework (1.5.4 - 1.5.4) <195DA868-47A5-37E6-8CF0-9BCF11846899> /System/Library/PrivateFrameworks/Backup.framework/Versions/A/Backup
    0x7fff8fdf5000 -     0x7fff901d6ffe  libLAPACK.dylib (1094.5) <7E7A9B8D-1638-3914-BAE0-663B69865986> /System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/libLAPACK.dylib
    0x7fff901d7000 -     0x7fff902bbfff  com.apple.coreui (2.1 - 231) <432DB40C-6B7E-39C8-9FB5-B95917930056> /System/Library/PrivateFrameworks/CoreUI.framework/Versions/A/CoreUI
    0x7fff902bc000 -     0x7fff902cbff8  com.apple.LangAnalysis (1.7.0 - 1.7.0) <8FE131B6-1180-3892-98F5-C9C9B79072D4> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/LangAnalysis.framework/Versions/A/LangAnalysis
    0x7fff902f7000 -     0x7fff90366ff1  com.apple.ApplicationServices.ATS (360 - 363.3) <546E89D9-2AE7-3111-B2B8-2366650D22F0> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ATS.framework/Versions/A/ATS
    0x7fff90c2b000 -     0x7fff90c64ff7  com.apple.QD (3.50 - 298) <C1F20764-DEF0-34CF-B3AB-AB5480D64E66> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/QD.framework/Versions/A/QD
    0x7fff90c67000 -     0x7fff90c69fff  libCVMSPluginSupport.dylib (9.6.1) <FB37F4C4-1E84-3349-BB03-92CA0A5F6837> /System/Library/Frameworks/OpenGL.framework/Versions/A/Libraries/libCVMSPluginSupport.dylib
    0x7fff90c6a000 -     0x7fff90c6cff7  com.apple.securityhi (9.0 - 55005) <18C42525-688C-3D47-B9C9-1E0F8F58FA64> /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/SecurityHI.framework/Versions/A/SecurityHI
    0x7fff90cac000 -     0x7fff90cb2ff7  libsystem_platform.dylib (24.90.1) <3C3D3DA8-32B9-3243-98EC-D89B9A1670B3> /usr/lib/system/libsystem_platform.dylib
    0x7fff90cb3000 -     0x7fff90d20fff  com.apple.SearchKit (1.4.0 - 1.4.0) <B9B8D510-A27E-36B0-93E9-17146D9E9045> /System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/SearchKit.framework/Versions/A/SearchKit
    0x7fff90d21000 -     0x7fff90d3cff7  libsystem_malloc.dylib (23.10.1) <A695B4E4-38E9-332E-A772-29D31E3F1385> /usr/lib/system/libsystem_malloc.dylib
    0x7fff90d3d000 -     0x7fff90d3eff7  libSystem.B.dylib (1197.1.1) <E303F2F8-A8CF-3DF3-84B3-F2D0EE41CCF6> /usr/lib/libSystem.B.dylib
    0x7fff90d4d000 -     0x7fff90d9aff2  com.apple.print.framework.PrintCore (9.0 - 428) <8D8253E3-302F-3DB2-9C5C-572CB974E8B3> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/PrintCore.framework/Versions/A/PrintCore
    0x7fff90d9b000 -     0x7fff90dedfff  libc++.1.dylib (120) <4F68DFC5-2077-39A8-A449-CAC5FDEE7BDE> /usr/lib/libc++.1.dylib
    0x7fff90dee000 -     0x7fff90e7eff7  com.apple.Metadata (10.7.0 - 800.28) <E85AEB1B-CB17-38BC-B5C6-AAB50B47AF05> /System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/Metadata.framework/Versions/A/Metadata
    0x7fff90e92000 -     0x7fff90e95fff  com.apple.help (1.3.3 - 46) <AE763646-D07A-3F9A-ACD4-F5CBD734EE36> /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/Help.framework/Versions/A/Help
    0x7fff90e96000 -     0x7fff90ea8ff7  com.apple.MultitouchSupport.framework (245.13 - 245.13) <E51DE5CA-9859-3C13-A24F-37EF4385C1D6> /System/Library/PrivateFrameworks/MultitouchSupport.framework/Versions/A/MultitouchSupport
    0x7fff90fb0000 -     0x7fff90fbcff7  com.apple.HelpData (2.1.4 - 90) <BEA1C549-40D3-35BF-9204-CB679FCB0648> /System/Library/PrivateFrameworks/HelpData.framework/Versions/A/HelpData
    0x7fff91007000 -     0x7fff912dbfc7  com.apple.vImage (7.0 - 7.0) <D241DBFA-AC49-31E2-893D-EAAC31890C90> /System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vImage.framework/Versions/A/vImage
    0x7fff912f3000 -     0x7fff912f7fff  com.apple.CommonPanels (1.2.6 - 96) <6B434AFD-50F8-37C7-9A56-162C17E375B3> /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/CommonPanels.framework/Versions/A/CommonPanels
    0x7fff912f8000 -     0x7fff91313ff7  libPng.dylib (1043) <23D2DAB7-C9A9-392F-989A-871E89E7751D> /System/Library/Frameworks/ImageIO.framework/Versions/A/Resources/libPng.dylib
    0x7fff91314000 -     0x7fff91330fff  libresolv.9.dylib (54) <11C2C826-F1C6-39C6-B4E8-6E0C41D4FA95> /usr/lib/libresolv.9.dylib
    0x7fff91331000 -     0x7fff91579ff7  com.apple.CoreData (107 - 481.3) <E78734AA-E3D0-33CB-A014-620BBCAB2E96> /System/Library/Frameworks/CoreData.framework/Versions/A/CoreData
    0x7fff915ce000 -     0x7fff9161fff7  com.apple.audio.CoreAudio (4.2.1 - 4.2.1) <BE13E840-FB45-3BC2-BCF5-031629754FD5> /System/Library/Frameworks/CoreAudio.framework/Versions/A/CoreAudio
    0x7fff91620000 -     0x7fff91665fff  libcurl.4.dylib (78.94.1) <88F27F9B-052E-3375-938D-2603E90D8AD5> /usr/lib/libcurl.4.dylib
    0x7fff91666000 -     0x7fff916adfff  libFontRegistry.dylib (127) <A77A0480-AA5D-3CC8-8B68-69985CD546DC> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ATS.framework/Versions/A/Resources/libFontRegistry.dylib
    0x7fff916ae000 -     0x7fff916affff  libunc.dylib (28) <62682455-1862-36FE-8A04-7A6B91256438> /usr/lib/system/libunc.dylib
    0x7fff916c0000 -     0x7fff91860ff7  GLEngine (9.6.1) <28300FBD-E3B2-35D2-BB54-77DCE62FC371> /System/Library/Frameworks/OpenGL.framework/Versions/A/Resources/GLEngine.bundle/GLEngine
    0x7fff91861000 -     0x7fff91967ff7  com.apple.ImageIO.framework (3.3.0 - 1043) <C4ADE5B1-A540-34E1-A043-118185489C9D> /System/Library/Frameworks/ImageIO.framework/Versions/A/ImageIO
    0x7fff919af000 -     0x7fff919b6ff7  libsystem_pthread.dylib (53.1.4) <AB498556-B555-310E-9041-F67EC9E00E2C> /usr/lib/system/libsystem_pthread.dylib
    0x7fff91bdb000 -     0x7fff91bdeff7  libdyld.dylib (239.4) <7C9EC3B7-DDE3-33FF-953F-4067C743951D> /usr/lib/system/libdyld.dylib
    0x7fff91bdf000 -     0x7fff91be1fff  libRadiance.dylib (1043) <9813995C-DEAA-3992-8DF8-320E4E4E288B> /System/Library/Frameworks/ImageIO.framework/Versions/A/Resources/libRadiance.dylib
    0x7fff91cdf000 -     0x7fff91d24ff6  com.apple.HIServices (1.23 - 468) <5970AF5C-F5BD-3B6A-97C9-95B2CA98D71D> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/HIServices.framework/Versions/A/HIServices
    0x7fff91d25000 -     0x7fff91d51fff  com.apple.CoreServicesInternal (184.9 - 184.9) <4DEA54F9-81D6-3EDB-AA3C-1F9C497B3379> /System/Library/PrivateFrameworks/CoreServicesInternal.framework/Versions/A/CoreServicesInternal
    0x7fff91dab000 -     0x7fff91dacfff  liblangid.dylib (117) <9546E641-F730-3AB0-B3CD-E0E2FDD173D9> /usr/lib/liblangid.dylib
    0x7fff91dad000 -     0x7fff91db8fff  libGPUSupportMercury.dylib (9.6.1) <A34D5C51-28E0-398A-881D-552B47D2DD3C> /System/Library/PrivateFrameworks/GPUSupport.framework/Versions/A/Libraries/libGPUSupportMercury.dylib
    0x7fff91dd0000 -     0x7fff91df5ff7  com.apple.ChunkingLibrary (2.0 - 155.1) <B845DC7A-D1EA-31E2-967C-D1FE0C628036> /System/Library/PrivateFrameworks/ChunkingLibrary.framework/Versions/A/ChunkingLibrary
    0x7fff91df6000 -     0x7fff91e06ffb  libsasl2.2.dylib (170) <C8E25710-68B6-368A-BF3E-48EC7273177B> /usr/lib/libsasl2.2.dylib
    0x7fff91e73000 -     0x7fff91e7aff8  liblaunch.dylib (842.92.1) <A40A0C7B-3216-39B4-8AE0-B5D3BAF1DA8A> /usr/lib/system/liblaunch.dylib
    0x7fff91e86000 -     0x7fff91e90ff7  libcsfde.dylib (380) <A5CF6F85-0537-399F-968B-1536B1235E65> /usr/lib/libcsfde.dylib
    0x7fff91ede000 -     0x7fff91ee2ff7  libGIF.dylib (1043) <AF0FE71A-27AB-31E0-8CEA-BC0BF2091FA8> /System/Library/Frameworks/ImageIO.framework/Versions/A/Resources/libGIF.dylib
    0x7fff91efa000 -     0x7fff91f0bff7  libz.1.dylib (53) <42E0C8C6-CA38-3CA4-8619-D24ED5DD492E> /usr/lib/libz.1.dylib
    0x7fff91f0c000 -     0x7fff91ffbfff  libFontParser.dylib (111.1) <835A8253-6AB9-3AAB-9CBF-171440DEC486> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ATS.framework/Versions/A/Resources/libFontParser.dylib
    0x7fff91fff000 -     0x7fff9208afff  libCoreStorage.dylib (380) <DE9B3F8C-045C-3010-9A25-C8CD72F1066B> /usr/lib/libCoreStorage.dylib
    0x7fff9233c000 -     0x7fff9237eff7  libauto.dylib (185.5) <F45C36E8-B606-3886-B5B1-B6745E757CA8> /usr/lib/libauto.dylib
    0x7fff9237f000 -     0x7fff9267dfff  com.apple.Foundation (6.9 - 1056.13) <2EE9AB07-3EA0-37D3-B407-4A520F2CB497> /System/Library/Frameworks/Foundation.framework/Versions/C/Foundation
    0x7fff92707000 -     0x7fff9276affb  com.apple.SystemConfiguration (1.13.1 - 1.13.1) <2C8E1A73-5AD6-3A7D-8ED8-D6755555A993> /System/Library/Frameworks/SystemConfiguration.framework/Versions/A/SystemConfiguration
    0x7fff927b9000 -     0x7fff927c1ff3  libCGCMS.A.dylib (599.25.10.1) <9A4FAAD7-1C16-33F8-A615-1DCAB0546E31> /System/Library/Frameworks/CoreGraphics.framework/Versions/A/Resources/libCGCMS.A.dylib
    0x7fff927c2000 -     0x7fff927cbfff  com.apple.speech.synthesis.framework (4.7.1 - 4.7.1) <383FB557-E88E-3239-82B8-15F9F885B702> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/SpeechSynthesis.framework/Versions/A/SpeechSynthesis
    0x7fff92834000 -     0x7fff92859ff7  com.apple.CoreVideo (1.8 - 117.2) <4674339E-26D0-35FA-9958-422832B39B12> /System/Library/Frameworks/CoreVideo.framework/Versions/A/CoreVideo
    0x7fff9285a000 -     0x7fff9285dffa  libCGXType.A.dylib (599.25.10.1) <9E609F91-BD17-3C51-A877-C80E7183A867> /System/Library/Frameworks/CoreGraphics.framework/Versions/A/Resources/libCGXType.A.dylib
    0x7fff928ab000 -     0x7fff928adff3  libsystem_configuration.dylib (596.15) <4998CB6A-9D54-390A-9F57-5D1AC53C135C> /usr/lib/system/libsystem_configuration.dylib
    0x7fff928db000 -     0x7fff92919ff7  libGLImage.dylib (9.6.1) <5E02B38C-9F36-39BE-8746-724F0D8BBFC0> /System/Library/Frameworks/OpenGL.framework/Versions/A/Libraries/libGLImage.dylib
    0x7fff9291a000 -     0x7fff929a6ff7  com.apple.ink.framework (10.9 - 207) <8A50B893-AD03-3826-8555-A54FEAF08F47> /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/Ink.framework/Versions/A/Ink
    0x7fff929fd000 -     0x7fff92a19ff7  libsystem_kernel.dylib (2422.110.17) <873931CE-D1AF-3596-AADB-D2E63C9AB29F> /usr/lib/system/libsystem_kernel.dylib
    0x7fff92a1a000 -     0x7fff92a55fff  com.apple.bom (14.0 - 193.1) <EF24A562-6D3C-379E-8B9B-FAE0E4A0EF7C> /System/Library/PrivateFrameworks/Bom.framework/Versions/A/Bom
    0x7fff92ab5000 -     0x7fff92ae9fff  libssl.0.9.8.dylib (50) <B15F967C-B002-36C2-9621-3456D8509F50> /usr/lib/libssl.0.9.8.dylib
    0x7fff92b19000 -     0x7fff92b21ff7  com.apple.speech.recognition.framework (4.2.4 - 4.2.4) <98BBB3E4-6239-3EF1-90B2-84EA0D3B8D61> /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/SpeechRecognition.framework/Versions/A/SpeechRecognition

External Modification Summary:
  Calls made by other processes targeting this process:
    task_for_pid: 1
    thread_create: 0
    thread_set_state: 0
  Calls made by this process:
    task_for_pid: 0
    thread_create: 0
    thread_set_state: 0
  Calls made by all processes on this machine:
    task_for_pid: 24959
    thread_create: 0
    thread_set_state: 0

VM Region Summary:
ReadOnly portion of Libraries: Total=205.6M resident=124.6M(61%) swapped_out_or_unallocated=80.9M(39%)
Writable regions: Total=108.3M written=13.1M(12%) resident=35.4M(33%) swapped_out=0K(0%) unallocated=73.0M(67%)
 
REGION TYPE                      VIRTUAL
===========                      =======
CG backing stores                  16.1M
CG image                              8K
CG raster data                       24K
CG shared images                    204K
CoreAnimation                      1564K
CoreGraphics                         12K
CoreImage                             4K
CoreServices                        328K
Dispatch continuations             8192K
Foundation                            4K
IOKit                              4100K
IOKit (reserved)                      4K        reserved VM address space (unallocated)
Kernel Alloc Once                     8K
MALLOC                             53.5M
MALLOC (admin)                       32K
MALLOC_LARGE (reserved)             304K        reserved VM address space (unallocated)
Mach message                          8K
Memory Tag 242                       12K
OpenCL                                8K
STACK GUARD                        56.0M
Stack                              11.7M
VM_ALLOCATE                        16.4M
__DATA                             41.9M
__IMAGE                             528K
__LINKEDIT                         67.7M
__TEXT                            137.9M
__UNICODE                           544K
mapped file                        49.5M
shared memory                         4K
===========                      =======
TOTAL                             466.2M
TOTAL, minus reserved VM space    465.9M
 

Model: iMac13,1, BootROM IM131.010A.B05, 4 processors, Intel Core i5, 2.7 GHz, 8 GB, SMC 2.9f5
Graphics: NVIDIA GeForce GT 640M, NVIDIA GeForce GT 640M, PCIe, 512 MB
Memory Module: BANK 0/DIMM0, 4 GB, DDR3, 1600 MHz, 0x80AD, 0x484D54333531533643465238432D50422020
Memory Module: BANK 1/DIMM0, 4 GB, DDR3, 1600 MHz, 0x80AD, 0x484D54333531533643465238432D50422020
AirPort: spairport_wireless_card_type_airport_extreme (0x14E4, 0xF4), Broadcom BCM43xx 1.0 (5.106.98.100.22)
Bluetooth: Version 4.2.6f1 14216, 3 services, 23 devices, 1 incoming serial ports
Network Service: Ethernet, Ethernet, en0
Network Service: Wi-Fi, AirPort, en1
Serial ATA Device: APPLE HDD HTS541010A9E662, 1 TB
USB Device: My Passport 0730
USB Device: Optical USB Mouse
USB Device: Hub
USB Device: Hub
USB Device: BRCM20702 Hub
USB Device: Bluetooth USB Host Controller
USB Device: Hub
USB Device: FaceTime HD Camera (Built-in)
Thunderbolt Bus: iMac, Apple Inc., 23.4
Comment 1 Jeremy Huddleston Sequoia 2015-10-13 08:28:48 UTC
xorg-server 1.15.2

Thread 2 Crashed:
0   X11.bin                       	0x0000000100003752 FreeFPE (dixfonts.c:224)
1   X11.bin                       	0x000000010000362b doOpenFont (dixfonts.c:367)
2   X11.bin                       	0x00000001000d4b99 ProcessWorkQueue (dixutils.c:526)
3   X11.bin                       	0x000000010011a31f WaitForSomething (WaitFor.c:176)
4   X11.bin                       	0x00000001000cdd8a Dispatch (dispatch.c:364)

Do you have any idea what font this was?  Can you still reproduce it with XQuartz 2.7.8_rc2?
Comment 2 Jeremy Huddleston Sequoia 2015-10-13 08:37:51 UTC
static void
FreeFPE(FontPathElementPtr fpe)
{
    fpe->refcount--;      // CRASH POINT, 0x0000000040616381 dereferenced
    if (fpe->refcount == 0) {
        (*fpe_functions[fpe->type].free_fpe) (fpe);
        free(fpe->name);
        free(fpe);
    }
}

It looks to me like an over-release somewhere in dixfont.c
Comment 3 Jeremy Huddleston Sequoia 2016-05-29 17:48:28 UTC
Do you have specific steps to reproduce?

Can you please try using XQuartz 2.7.10_beta1?  It's build with ASan and should provide a more detailed and useful crash report if this is still reproducing.
Comment 4 Ken 2016-05-29 21:43:28 UTC
Update on this Ken 5/29/2016 

I installed 2.7.10beta1 but the application (Mentor Graphics Design Manager) crashes earlier in the process. However, if I dropped back to 2.7.9, everything works perfectly with the original problem of running Design Architect appearing to be fixed. I will stick with 2.7.9 for the time being. 

Below is the 2.7.10b1 crash log (which was also submitted to Apple)

Process:               X11.bin [7759]
Path:                  /Applications/Utilities/XQuartz.app/Contents/MacOS/X11.bin
Identifier:            org.macosforge.xquartz.X11
Version:               2.7.10_beta1 (2.7.100)
Code Type:             X86-64 (Native)
Parent Process:        ??? [7758]
Responsible:           X11.bin [7759]
User ID:               501

Date/Time:             2016-05-29 14:30:27.645 -0700
OS Version:            Mac OS X 10.11.5 (15F34)
Report Version:        11
Anonymous UUID:        9840B040-6BD9-475F-9308-EA1553FE50F6


Time Awake Since Boot: 310000 seconds

System Integrity Protection: enabled

Crashed Thread:        2

Exception Type:        EXC_CRASH (SIGABRT)
Exception Codes:       0x0000000000000000, 0x0000000000000000
Exception Note:        EXC_CORPSE_NOTIFY

Application Specific Information:
X.Org X Server 1.18.3 Build Date: 20160507
=================================================================
==7759==ERROR: AddressSanitizer: heap-buffer-overflow on address 0x6040000b7432 at pc 0x0001059cec8b bp 0x70000029f110 sp 0x70000029e8d0
READ of size 36 at 0x6040000b7432 thread T7
    #0 0x1059cec8a in __asan_memcpy (libclang_rt.asan_osx_dynamic.dylib+0x41c8a)
    #1 0x106d059ff in _fs_do_write (libXfont.1.dylib+0x699ff)
    #2 0x106d058bb in _fs_write (libXfont.1.dylib+0x698bb)
    #3 0x106cf91b1 in _fs_client_access (libXfont.1.dylib+0x5d1b1)
    #4 0x106cf746f in fs_send_open_font (libXfont.1.dylib+0x5b46f)
    #5 0x106cf5c53 in fs_open_font (libXfont.1.dylib+0x59c53)
    #6 0x1051ce8e0 in doOpenFont (X11.bin+0x1000078e0)
    #7 0x1051ce364 in OpenFont (X11.bin+0x100007364)
    #8 0x1054d33d5 in ProcOpenFont (X11.bin+0x10030c3d5)
    #9 0x1054cabf3 in Dispatch (X11.bin+0x100303bf3)
    #10 0x1054ea970 in dix_main (X11.bin+0x100323970)
    #11 0x1051f9d09 in server_thread (X11.bin+0x100032d09)
    #12 0x7fff8ae2699c in _pthread_body (libsystem_pthread.dylib+0x399c)
    #13 0x7fff8ae26919 in _pthread_start (libsystem_pthread.dylib+0x3919)
    #14 0x7fff8ae24350 in thread_start (libsystem_pthread.dylib+0x1350)
 
0x6040000b7432 is located 0 bytes to the right of 34-byte region [0x6040000b7410,0x6040000b7432)
allocated by thread T7 here:
    #0 0x1059d7d30 in wrap_malloc (libclang_rt.asan_osx_dynamic.dylib+0x4ad30)
    #1 0x1055fc835 in set_font_authorizations (X11.bin+0x100435835)
    #2 0x106d15b0c in set_font_authorizations (libXfont.1.dylib+0x79b0c)
    #3 0x106cf9078 in _fs_client_access (libXfont.1.dylib+0x5d078)
    #4 0x106cf746f in fs_send_open_font (libXfont.1.dylib+0x5b46f)
    #5 0x106cf5c53 in fs_open_font (libXfont.1.dylib+0x59c53)
    #6 0x1051ce8e0 in doOpenFont (X11.bin+0x1000078e0)
    #7 0x1051ce364 in OpenFont (X11.bin+0x100007364)
    #8 0x1054d33d5 in ProcOpenFont (X11.bin+0x10030c3d5)
    #9 0x1054cabf3 in Dispatch (X11.bin+0x100303bf3)
    #10 0x1054ea970 in dix_main (X11.bin+0x100323970)
    #11 0x1051f9d09 in server_thread (X11.bin+0x100032d09)
    #12 0x7fff8ae2699c in _pthread_body (libsystem_pthread.dylib+0x399c)
    #13 0x7fff8ae26919 in _pthread_start (libsystem_pthread.dylib+0x3919)
    #14 0x7fff8ae24350 in thread_start (libsystem_pthread.dylib+0x1350)
 
Thread T7 created by T0 here:
    #0 0x1059ce669 in wrap_pthread_create (libclang_rt.asan_osx_dynamic.dylib+0x41669)
    #1 0x1051f9bd1 in create_thread (X11.bin+0x100032bd1)
    #2 0x1051f9a6d in QuartzInitServer (X11.bin+0x100032a6d)
    #3 0x1051e10d8 in X11ApplicationMain (X11.bin+0x10001a0d8)
    #4 0x1051eb318 in X11ControllerMain (X11.bin+0x100024318)
    #5 0x1051f9eca in server_main (X11.bin+0x100032eca)
    #6 0x1051c9584 in do_start_x11_server (X11.bin+0x100002584)
    #7 0x1051cb772 in _Xstart_x11_server (X11.bin+0x100004772)
    #8 0x1051cc618 in mach_startup_server (X11.bin+0x100005618)
    #9 0x7fff8fbbbcdf in mach_msg_server (libsystem_kernel.dylib+0x10cdf)
    #10 0x1051c985c in main (X11.bin+0x10000285c)
    #11 0x7fff87a185ac in start (libdyld.dylib+0x35ac)
    #12 0x1  (<unknown module>)
 
SUMMARY: AddressSanitizer: heap-buffer-overflow (libclang_rt.asan_osx_dynamic.dylib+0x41c8a) in __asan_memcpy
Shadow bytes around the buggy address:
  0x1c0800016e30: fa fa fa fa fa fa fa fa fa fa fa fa fa fa fa fa
  0x1c0800016e40: fa fa fa fa fa fa fa fa fa fa fa fa fa fa fa fa
  0x1c0800016e50: fa fa fa fa fa fa fa fa fa fa fa fa fa fa fa fa
  0x1c0800016e60: fa fa fa fa fa fa fa fa fa fa fa fa fa fa fa fa
  0x1c0800016e70: fa fa fa fa fa fa fa fa fa fa fa fa fa fa fa fa
=>0x1c0800016e80: fa fa 00 00 00 00[02]fa fa fa fd fd fd fd fd fd
  0x1c0800016e90: fa fa fd fd fd fd fd fd fa fa fd fd fd fd fd fd
  0x1c0800016ea0: fa fa fd fd fd fd fd fa fa fa fd fd fd fd fd fd
  0x1c0800016eb0: fa fa 00 00 00 00 00 fa fa fa fd fd fd fd fd fa
  0x1c0800016ec0: fa fa fd fd fd fd fd fa fa fa fd fd fd fd fd fa
  0x1c0800016ed0: fa fa fd fd fd fd fd fa fa fa fd fd fd fd fd fa
Shadow byte legend (one shadow byte represents 8 application bytes):
  Addressable:           00
  Partially addressable: 01 02 03 04 05 06 07 
  Heap left redzone:       fa
  Heap right redzone:      fb
  Freed heap region:       fd
  Stack left redzone:      f1
  Stack mid redzone:       f2
  Stack right redzone:     f3
  Stack partial redzone:   f4
  Stack after return:      f5
  Stack use after scope:   f8
  Global redzone:          f9
  Global init order:       f6
  Poisoned by user:        f7
  Container overflow:      fc
  Array cookie:            ac
  Intra object redzone:    bb
  ASan internal:           fe
  Left alloca redzone:     ca
  Right alloca redzone:    cb
==7759==ABORTING
 
abort() called

Global Trace Buffer (reverse chronological seconds):
1.657216     libclang_rt.asan_osx_dynamic.dylib	0x00000001059edf17 Consult syslog for more information.
1.657216     libclang_rt.asan_osx_dynamic.dylib	0x00000001059ede9e Address Sanitizer reported a failure.

Thread 0:: Dispatch queue: com.apple.main-thread
0   libsystem_kernel.dylib        	0x00007fff8fbbbf72 mach_msg_trap + 10
1   libsystem_kernel.dylib        	0x00007fff8fbbb45e mach_msg + 226
2   com.apple.CoreFoundation      	0x00007fff8a5ac1c4 __CFRunLoopServiceMachPort + 212
3   com.apple.CoreFoundation      	0x00007fff8a5ab68c __CFRunLoopRun + 1356
4   com.apple.CoreFoundation      	0x00007fff8a5aaed8 CFRunLoopRunSpecific + 296
5   com.apple.HIToolbox           	0x00007fff8e87d935 RunCurrentEventLoopInMode + 235
6   com.apple.HIToolbox           	0x00007fff8e87d76f ReceiveNextEventCommon + 432
7   com.apple.HIToolbox           	0x00007fff8e87d5af _BlockUntilNextEventMatchingListInModeWithFilter + 71
8   com.apple.AppKit              	0x00007fff8eec1df6 _DPSNextEvent + 1067
9   com.apple.AppKit              	0x00007fff8eec1226 -[NSApplication _nextEventMatchingEventMask:untilDate:inMode:dequeue:] + 454
10  com.apple.AppKit              	0x00007fff8eeb5d80 -[NSApplication run] + 682
11  X11.bin                       	0x00000001051e11ea X11ApplicationMain + 1786
12  X11.bin                       	0x00000001051eb319 X11ControllerMain + 25
13  X11.bin                       	0x00000001051f9ecb server_main + 427
14  X11.bin                       	0x00000001051c9585 do_start_x11_server + 533
15  X11.bin                       	0x00000001051cb773 _Xstart_x11_server + 419
16  X11.bin                       	0x00000001051cc619 mach_startup_server + 313
17  libsystem_kernel.dylib        	0x00007fff8fbbbce0 mach_msg_server + 504
18  X11.bin                       	0x00000001051c985d main + 637
19  libdyld.dylib                 	0x00007fff87a185ad start + 1

Thread 1:: Dispatch queue: com.apple.libdispatch-manager
0   libsystem_kernel.dylib        	0x00007fff8fbc2efa kevent_qos + 10
1   libdispatch.dylib             	0x00007fff94668165 _dispatch_mgr_invoke + 216
2   libdispatch.dylib             	0x00007fff94667dcd _dispatch_mgr_thread + 52

Thread 2 Crashed:
0   libsystem_kernel.dylib        	0x00007fff8fbc1f06 __pthread_kill + 10
1   libsystem_pthread.dylib       	0x00007fff8ae294ec pthread_kill + 90
2   libsystem_c.dylib             	0x00007fff8cafd6e7 abort + 129
3   libclang_rt.asan_osx_dynamic.dylib	0x00000001059f7b06 __sanitizer::Abort() + 6
4   libclang_rt.asan_osx_dynamic.dylib	0x00000001059cecb5 __asan_memcpy + 917
5   libXfont.1.dylib              	0x0000000106d05a00 _fs_do_write + 304
6   libXfont.1.dylib              	0x0000000106d058bc _fs_write + 28
7   libXfont.1.dylib              	0x0000000106cf91b2 _fs_client_access + 1202
8   libXfont.1.dylib              	0x0000000106cf7470 fs_send_open_font + 1536
9   libXfont.1.dylib              	0x0000000106cf5c54 fs_open_font + 260
10  X11.bin                       	0x00000001051ce8e1 doOpenFont + 913
11  X11.bin                       	0x00000001051ce365 OpenFont + 821
12  X11.bin                       	0x00000001054d33d6 ProcOpenFont + 294
13  X11.bin                       	0x00000001054cabf4 Dispatch + 1172
14  X11.bin                       	0x00000001054ea971 dix_main + 2913
15  X11.bin                       	0x00000001051f9d0a server_thread + 138
16  libsystem_pthread.dylib       	0x00007fff8ae2699d _pthread_body + 131
17  libsystem_pthread.dylib       	0x00007fff8ae2691a _pthread_start + 168
18  libsystem_pthread.dylib       	0x00007fff8ae24351 thread_start + 13

Thread 3:
0   libsystem_kernel.dylib        	0x00007fff8fbbbf72 mach_msg_trap + 10
1   libsystem_kernel.dylib        	0x00007fff8fbbb3b3 mach_msg + 55
2   com.apple.CoreFoundation      	0x00007fff8a5ac1c4 __CFRunLoopServiceMachPort + 212
3   com.apple.CoreFoundation      	0x00007fff8a5ab68c __CFRunLoopRun + 1356
4   com.apple.CoreFoundation      	0x00007fff8a5aaed8 CFRunLoopRunSpecific + 296
5   com.apple.CoreFoundation      	0x00007fff8a5ec9b1 CFRunLoopRun + 97
6   X11.bin                       	0x0000000105236fe1 xpbproxy_run + 753
7   X11.bin                       	0x00000001051e1c19 xpbproxy_x_thread + 25
8   libsystem_pthread.dylib       	0x00007fff8ae2699d _pthread_body + 131
9   libsystem_pthread.dylib       	0x00007fff8ae2691a _pthread_start + 168
10  libsystem_pthread.dylib       	0x00007fff8ae24351 thread_start + 13

Thread 4:: com.apple.NSEventThread
0   libsystem_kernel.dylib        	0x00007fff8fbbbf72 mach_msg_trap + 10
1   libsystem_kernel.dylib        	0x00007fff8fbbb3b3 mach_msg + 55
2   com.apple.CoreFoundation      	0x00007fff8a5ac1c4 __CFRunLoopServiceMachPort + 212
3   com.apple.CoreFoundation      	0x00007fff8a5ab68c __CFRunLoopRun + 1356
4   com.apple.CoreFoundation      	0x00007fff8a5aaed8 CFRunLoopRunSpecific + 296
5   com.apple.AppKit              	0x00007fff8f017d95 _NSEventThread + 149
6   libsystem_pthread.dylib       	0x00007fff8ae2699d _pthread_body + 131
7   libsystem_pthread.dylib       	0x00007fff8ae2691a _pthread_start + 168
8   libsystem_pthread.dylib       	0x00007fff8ae24351 thread_start + 13

Thread 5:
0   libsystem_kernel.dylib        	0x00007fff8fbc1db6 __psynch_cvwait + 10
1   libsystem_pthread.dylib       	0x00007fff8ae27728 _pthread_cond_wait + 767
2   X11.bin                       	0x00000001051f2f6b DarwinProcessFDAdditionQueue_thread + 379
3   libsystem_pthread.dylib       	0x00007fff8ae2699d _pthread_body + 131
4   libsystem_pthread.dylib       	0x00007fff8ae2691a _pthread_start + 168
5   libsystem_pthread.dylib       	0x00007fff8ae24351 thread_start + 13

Thread 6:: com.apple.CFSocket.private
0   libsystem_kernel.dylib        	0x00007fff8fbc207a __select + 10
1   com.apple.CoreFoundation      	0x00007fff8a5e94fa __CFSocketManager + 762
2   libsystem_pthread.dylib       	0x00007fff8ae2699d _pthread_body + 131
3   libsystem_pthread.dylib       	0x00007fff8ae2691a _pthread_start + 168
4   libsystem_pthread.dylib       	0x00007fff8ae24351 thread_start + 13

Thread 7:
0   libsystem_kernel.dylib        	0x00007fff8fbc25e2 __workq_kernreturn + 10
1   libsystem_pthread.dylib       	0x00007fff8ae26578 _pthread_wqthread + 1283
2   libsystem_pthread.dylib       	0x00007fff8ae24341 start_wqthread + 13

Thread 8:
0   libsystem_kernel.dylib        	0x00007fff8fbc25e2 __workq_kernreturn + 10
1   libsystem_pthread.dylib       	0x00007fff8ae26578 _pthread_wqthread + 1283
2   libsystem_pthread.dylib       	0x00007fff8ae24341 start_wqthread + 13

Thread 2 crashed with X86 Thread State (64-bit):
  rax: 0x0000000000000000  rbx: 0x0000000000000006  rcx: 0x000070000029de78  rdx: 0x0000000000000000
  rdi: 0x0000000000007307  rsi: 0x0000000000000006  rbp: 0x000070000029dea0  rsp: 0x000070000029de78
   r8: 0x0000000105eac32c   r9: 0x0000000000000011  r10: 0x0000000008000000  r11: 0x0000000000000206
  r12: 0x0000000105a0bd48  r13: 0x000070000029e860  r14: 0x00007000002a0000  r15: 0x0000000105c5a0a0
  rip: 0x00007fff8fbc1f06  rfl: 0x0000000000000206  cr2: 0x0000000100c93000
  
Logical CPU:     0
Error Code:      0x02000170
Trap Number:     133


Binary Images:
       0x1051c7000 -        0x105754ff7 +X11.bin (0) <A6DE89CC-9737-3124-98DD-E67523321904> /Applications/Utilities/XQuartz.app/Contents/MacOS/X11.bin
       0x105949000 -        0x10596cfff +org.andymatuschak.Sparkle (1.6 git - 1.6) <8FD4CCFF-FD53-3639-8291-AA272998BA5B> /Applications/Utilities/XQuartz.app/Contents/Frameworks/Sparkle.framework/Versions/A/Sparkle
       0x10598d000 -        0x105a15ff7 +libclang_rt.asan_osx_dynamic.dylib (0) <9170B925-6109-3CDB-8FD3-7470CC845597> /opt/X11/*/libclang_rt.asan_osx_dynamic.dylib
       0x1067a0000 -        0x1067adfff +libXplugin.1.dylib (0) <93206757-4BBD-37EC-ADDE-DC65190D03E3> /opt/X11/*/libXplugin.1.dylib
       0x1067bd000 -        0x1067c1fe7 +libAppleWM.7.dylib (0) <D817FF22-9054-3306-9F34-82CE057549D4> /opt/X11/*/libAppleWM.7.dylib
       0x1067cb000 -        0x1067d5fff +libXfixes.3.dylib (0) <6D3B1CD2-7FD4-37F6-A405-5A59F5BE425C> /opt/X11/*/libXfixes.3.dylib
       0x1067e1000 -        0x106a60fff +libX11.6.dylib (0) <C87538C2-5C7C-3291-8F4C-BAF577C23EE8> /opt/X11/*/libX11.6.dylib
       0x106b11000 -        0x106c5bff7 +libpixman-1.0.dylib (0) <0379CAF8-7931-3239-8F29-FA351E818D99> /opt/X11/*/libpixman-1.0.dylib
       0x106c9c000 -        0x106d2aff7 +libXfont.1.dylib (0) <F12D85A5-5530-3D42-A7D7-082D7C236C4A> /opt/X11/*/libXfont.1.dylib
       0x106d65000 -        0x106d68fff +libXau.6.dylib (0) <A993E385-69B4-3EA0-85DC-29285108440C> /opt/X11/*/libXau.6.dylib
       0x106d75000 -        0x106d76fff +libxshmfence.1.dylib (0) <F345F54B-3B23-3592-A0E6-0490AE1155EE> /opt/X11/*/libxshmfence.1.dylib
       0x106d7d000 -        0x106d84fe7 +libXdmcp.6.dylib (0) <B0E721F4-10E2-306B-8503-B08BF6B9E672> /opt/X11/*/libXdmcp.6.dylib
       0x106d90000 -        0x106db8fef +libXext.6.dylib (0) <CA658C7C-6487-3F5C-89DC-A7127465C2D6> /opt/X11/*/libXext.6.dylib
       0x106dd0000 -        0x106e19fe7 +libxcb.1.dylib (0) <4ACAEFB9-6196-3356-A77F-C3CC826B5369> /opt/X11/*/libxcb.1.dylib
       0x106e49000 -        0x106fdcfff +libfreetype.6.dylib (0) <5A3E5ECC-85D9-3239-B4C5-2E629A191DD3> /opt/X11/*/libfreetype.6.dylib
       0x107049000 -        0x107051fef +libfontenc.1.dylib (0) <A0F3B8EF-F299-39C7-9FC3-9F7F2202CD01> /opt/X11/*/libfontenc.1.dylib
       0x110f8e000 -        0x111091fff  com.apple.GeForceMTLDriver (10.10.10 - 10.1.0) <C89D6A35-845F-30C9-96F5-8375D91E527B> /System/Library/Extensions/GeForceMTLDriver.bundle/Contents/MacOS/GeForceMTLDriver
    0x7fff6e7a8000 -     0x7fff6e7df25f  dyld (360.22) <A468D85E-D8D6-3461-8C99-49D3B9ACFC63> /usr/lib/dyld
    0x7fff86341000 -     0x7fff86346fff  com.apple.TCC (1.0 - 1) <F5EEB2D3-9517-3975-97BE-22CB8E11B8A3> /System/Library/PrivateFrameworks/TCC.framework/Versions/A/TCC
    0x7fff86357000 -     0x7fff863cbff7  com.apple.Heimdal (4.0 - 2.0) <5D365381-8B5E-3259-8867-FC4A7D307BDE> /System/Library/PrivateFrameworks/Heimdal.framework/Versions/A/Heimdal
    0x7fff8699b000 -     0x7fff86a81ff7  libcrypto.0.9.8.dylib (59.40.2) <2486D801-C756-3488-B519-1AA6807E8948> /usr/lib/libcrypto.0.9.8.dylib
    0x7fff86a82000 -     0x7fff86a8dfff  libGL.dylib (12.1) <70D51643-04AC-3400-8F11-A6FC25985289> /System/Library/Frameworks/OpenGL.framework/Versions/A/Libraries/libGL.dylib
    0x7fff86a90000 -     0x7fff86b1ddd7  com.apple.AppleJPEG (1.0 - 1) <558ACADA-C41F-3EEF-82A0-C2D7B13C5428> /System/Library/PrivateFrameworks/AppleJPEG.framework/Versions/A/AppleJPEG
    0x7fff86b1e000 -     0x7fff86b30fff  libsasl2.2.dylib (209) <11C7D200-0CA5-30F4-A19A-178CA81D48FE> /usr/lib/libsasl2.2.dylib
    0x7fff86b3d000 -     0x7fff86b3dfff  com.apple.Accelerate (1.10 - Accelerate 1.10) <5831771A-C1C3-3625-9FE9-2CCB6B2E7EE1> /System/Library/Frameworks/Accelerate.framework/Versions/A/Accelerate
    0x7fff86b3e000 -     0x7fff86b76ff7  com.apple.RemoteViewServices (2.0 - 101) <B2881449-8CFE-3D1C-B4BF-155640392533> /System/Library/PrivateFrameworks/RemoteViewServices.framework/Versions/A/RemoteViewServices
    0x7fff86c13000 -     0x7fff86c4dff7  com.apple.DebugSymbols (132 - 132) <23A42C53-B941-3871-9EE2-4C87A46005B5> /System/Library/PrivateFrameworks/DebugSymbols.framework/Versions/A/DebugSymbols
    0x7fff86c4e000 -     0x7fff86c9ffff  com.apple.audio.CoreAudio (4.3.0 - 4.3.0) <EA7D4F3B-062B-3C81-A98C-C89264D00D48> /System/Library/Frameworks/CoreAudio.framework/Versions/A/CoreAudio
    0x7fff86ca2000 -     0x7fff86cb0fff  com.apple.opengl (12.1.0 - 12.1.0) <BBC4458E-12FC-3C9B-BF7E-6985D61C7A67> /System/Library/Frameworks/OpenGL.framework/Versions/A/OpenGL
    0x7fff86e59000 -     0x7fff86f00fff  com.apple.LanguageModeling (1.0 - 1) <58C18A47-BDE7-3CBE-81C0-797029D170A1> /System/Library/PrivateFrameworks/LanguageModeling.framework/Versions/A/LanguageModeling
    0x7fff86f01000 -     0x7fff86f20ff7  com.apple.framework.Apple80211 (11.0 - 1121.34.2) <90477FAE-B835-3931-80FB-FDFF02B21D9D> /System/Library/PrivateFrameworks/Apple80211.framework/Versions/A/Apple80211
    0x7fff86f2a000 -     0x7fff86f3bff7  libz.1.dylib (61.20.1) <B3EBB42F-48E3-3287-9F0D-308E04D407AC> /usr/lib/libz.1.dylib
    0x7fff8703b000 -     0x7fff871c7ff7  libGLProgrammability.dylib (12.1) <BCFFBF6B-9717-3456-B6F9-6AE46644B076> /System/Library/Frameworks/OpenGL.framework/Versions/A/Libraries/libGLProgrammability.dylib
    0x7fff87232000 -     0x7fff872ebff7  libvMisc.dylib (563.5) <BF612F7D-FA3B-3F9F-8BE7-8D1BCB21ECC5> /System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/libvMisc.dylib
    0x7fff872ec000 -     0x7fff872f7ff7  libcommonCrypto.dylib (60075.50.1) <93732261-34B4-3914-B7A2-90A81A182DBA> /usr/lib/system/libcommonCrypto.dylib
    0x7fff87335000 -     0x7fff8733eff3  libsystem_notify.dylib (150.40.1) <D48BDE34-0F7E-34CA-A0FF-C578E39987CC> /usr/lib/system/libsystem_notify.dylib
    0x7fff8733f000 -     0x7fff87342fff  com.apple.IOSurface (108.2.1 - 108.2.1) <A0037B0A-277A-393E-9BF6-688595BD564D> /System/Library/Frameworks/IOSurface.framework/Versions/A/IOSurface
    0x7fff87343000 -     0x7fff87356fff  com.apple.CoreBluetooth (1.0 - 1) <E54CA9A2-A5C6-30C5-9D6E-8472DBA9371E> /System/Library/Frameworks/CoreBluetooth.framework/Versions/A/CoreBluetooth
    0x7fff87a15000 -     0x7fff87a18ffb  libdyld.dylib (360.22) <CC088C2A-D407-33E7-A6B6-B06E0D4AD999> /usr/lib/system/libdyld.dylib
    0x7fff87a1e000 -     0x7fff87b3bfff  libsqlite3.dylib (216.4) <DC3D59E7-91A3-374F-957C-6699729CD82B> /usr/lib/libsqlite3.dylib
    0x7fff87b3c000 -     0x7fff87b65ff7  libxpc.dylib (765.50.8) <54D1328E-054E-3DAA-89E2-375722F9D18F> /usr/lib/system/libxpc.dylib
    0x7fff87b66000 -     0x7fff87bfcfff  com.apple.ColorSync (4.9.0 - 4.9.0) <8FC37E20-6579-3CB2-9D49-BC39FC38DF87> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ColorSync.framework/Versions/A/ColorSync
    0x7fff87c29000 -     0x7fff87e4aff7  com.apple.CoreImage (11.4.0 - 366.4.19) <F5B7B115-E43A-3C61-A6AD-EFCDE7FC43A1> /System/Library/Frameworks/CoreImage.framework/Versions/A/CoreImage
    0x7fff87ed2000 -     0x7fff87ef6ff7  libJPEG.dylib (1450) <33C07EEE-95CB-33F7-87C1-09CE82F1E478> /System/Library/Frameworks/ImageIO.framework/Versions/A/Resources/libJPEG.dylib
    0x7fff87ef7000 -     0x7fff87ef9fff  libsystem_coreservices.dylib (19.2) <1B3F5AFC-FFCD-3ECB-8B9A-5538366FB20D> /usr/lib/system/libsystem_coreservices.dylib
    0x7fff87efa000 -     0x7fff88008ff3  com.apple.desktopservices (1.10.3 - 1.10.3) <3A6906D4-C0B8-30D1-B589-0466E5E42B69> /System/Library/PrivateFrameworks/DesktopServicesPriv.framework/Versions/A/DesktopServicesPriv
    0x7fff88009000 -     0x7fff8803dff7  com.apple.CoreVideo (1.8 - 191.3) <1AA24A1B-CB84-3F6B-B6DE-11494542649C> /System/Library/Frameworks/CoreVideo.framework/Versions/A/CoreVideo
    0x7fff8803e000 -     0x7fff8806ffff  com.apple.GSS (4.0 - 2.0) <B490333A-3B3E-397A-AD75-68846E9A9140> /System/Library/Frameworks/GSS.framework/Versions/A/GSS
    0x7fff885a0000 -     0x7fff885e5ff3  libFontRegistry.dylib (155.2) <A70DD497-35F3-34DA-9C19-F4B90080E961> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ATS.framework/Versions/A/Resources/libFontRegistry.dylib
    0x7fff88c51000 -     0x7fff88c9ffff  libcurl.4.dylib (90) <12E01E4B-24C9-394C-9D2C-85CF85D5F459> /usr/lib/libcurl.4.dylib
    0x7fff8900d000 -     0x7fff8900fffb  libutil.dylib (43) <4C9BFE8B-563B-3EEA-A323-8F4F14E0A46C> /usr/lib/libutil.dylib
    0x7fff89010000 -     0x7fff8903bffb  libarchive.2.dylib (33.20.2) <6C370A21-63FD-3A68-B4B3-5333F24B770B> /usr/lib/libarchive.2.dylib
    0x7fff890a1000 -     0x7fff890a3ff7  com.apple.xpc.ServiceManagement (1.0 - 1) <D96D7A6D-EDEB-35EE-B5D9-E33A3BF011B5> /System/Library/Frameworks/ServiceManagement.framework/Versions/A/ServiceManagement
    0x7fff890a4000 -     0x7fff890adfff  com.apple.icloud.FindMyDevice (1.0 - 1) <B9C741F2-6FAC-3BA7-B6E0-9A910C6E8D4E> /System/Library/PrivateFrameworks/FindMyDevice.framework/Versions/A/FindMyDevice
    0x7fff890ae000 -     0x7fff89335ff3  com.apple.CFNetwork (760.5.1 - 760.5.1) <EE9426D1-F11C-3DD4-AE08-EA29AEB27177> /System/Library/Frameworks/CFNetwork.framework/Versions/A/CFNetwork
    0x7fff899e5000 -     0x7fff89a7afff  com.apple.ink.framework (10.9 - 214) <1F76CF36-3F79-36B8-BC37-C540AF34B338> /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/Ink.framework/Versions/A/Ink
    0x7fff89ab0000 -     0x7fff89c7eff3  com.apple.QuartzCore (1.11 - 410.14) <076BDE58-8AED-3D47-84FD-548CF8E8EDB9> /System/Library/Frameworks/QuartzCore.framework/Versions/A/QuartzCore
    0x7fff89c7f000 -     0x7fff89d08ff7  com.apple.PerformanceAnalysis (1.0 - 1) <2064F7E8-5C3D-3E18-8029-2D832D13E2A2> /System/Library/PrivateFrameworks/PerformanceAnalysis.framework/Versions/A/PerformanceAnalysis
    0x7fff89d26000 -     0x7fff89d3cff7  libLinearAlgebra.dylib (1162.2) <FFE54EDF-F06F-3C0A-864A-4CA7BBFD4B2D> /System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/libLinearAlgebra.dylib
    0x7fff89d40000 -     0x7fff89d42ff7  libquarantine.dylib (80) <0F4169F0-0C84-3A25-B3AE-E47B3586D908> /usr/lib/system/libquarantine.dylib
    0x7fff89d5c000 -     0x7fff89d60fff  libcache.dylib (75) <9548AAE9-2AB7-3525-9ECE-A2A7C4688447> /usr/lib/system/libcache.dylib
    0x7fff89d84000 -     0x7fff89d9fff7  libCRFSuite.dylib (34) <078B4CD8-6A8C-3067-B2BA-0C2A0BAB8AC3> /usr/lib/libCRFSuite.dylib
    0x7fff89db6000 -     0x7fff89ddffff  libsystem_info.dylib (477.50.4) <FAA9226D-64DE-3769-A6D8-6CABA4B7FF4D> /usr/lib/system/libsystem_info.dylib
    0x7fff89e94000 -     0x7fff89ee3ff7  com.apple.opencl (2.7.0 - 2.7.0) <C3AFF6D2-90FE-3108-A2D5-A1EBCFC5D627> /System/Library/Frameworks/OpenCL.framework/Versions/A/OpenCL
    0x7fff89ee4000 -     0x7fff89ee5ffb  libremovefile.dylib (41) <552EF39E-14D7-363E-9059-4565AC2F894E> /usr/lib/system/libremovefile.dylib
    0x7fff89f19000 -     0x7fff89f87ff7  com.apple.ApplicationServices.ATS (377 - 394.4) <9779E916-0788-3CAC-B1EC-F68BCB12A2B6> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ATS.framework/Versions/A/ATS
    0x7fff89f88000 -     0x7fff8a07aff7  libJP2.dylib (1450) <8337298A-7911-3B56-85C7-BBA2D8D844EE> /System/Library/Frameworks/ImageIO.framework/Versions/A/Resources/libJP2.dylib
    0x7fff8a07b000 -     0x7fff8a087fff  com.apple.SpeechRecognitionCore (2.2.7 - 2.2.7) <6BA06290-D4A3-351C-87F9-B61EF61FF055> /System/Library/PrivateFrameworks/SpeechRecognitionCore.framework/Versions/A/SpeechRecognitionCore
    0x7fff8a1b2000 -     0x7fff8a51d657  libobjc.A.dylib (680) <D55D5807-1FBE-32A5-9105-44D7AFE68C27> /usr/lib/libobjc.A.dylib
    0x7fff8a51e000 -     0x7fff8a51efff  com.apple.Carbon (154 - 157) <8F6ED602-5943-3E29-A793-BC331E2C183D> /System/Library/Frameworks/Carbon.framework/Versions/A/Carbon
    0x7fff8a51f000 -     0x7fff8a521fff  com.apple.loginsupport (1.0 - 1) <9B2F5F9B-ED38-313F-B798-D2B667BCD6B5> /System/Library/PrivateFrameworks/login.framework/Versions/A/Frameworks/loginsupport.framework/Versions/A/loginsupport
    0x7fff8a522000 -     0x7fff8a998fff  com.apple.CoreFoundation (6.9 - 1258.1) <943A1383-DA6A-3DC0-ABCD-D9AEB3D0D34D> /System/Library/Frameworks/CoreFoundation.framework/Versions/A/CoreFoundation
    0x7fff8a99d000 -     0x7fff8ab43ff7  com.apple.audio.toolbox.AudioToolbox (1.13 - 1.13) <082319FC-59F2-3D36-AC9B-94759724E302> /System/Library/Frameworks/AudioToolbox.framework/Versions/A/AudioToolbox
    0x7fff8ab78000 -     0x7fff8ad85fff  libicucore.A.dylib (551.51.3) <5BC80F94-C90D-3175-BD96-FF1DC222EC9C> /usr/lib/libicucore.A.dylib
    0x7fff8ad86000 -     0x7fff8ad96fff  libSparseBLAS.dylib (1162.2) <6F591A0F-80D0-384D-8304-B035C4ED1BBD> /System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/libSparseBLAS.dylib
    0x7fff8ad97000 -     0x7fff8ada2fff  libcsfde.dylib (517.50.1) <52F0DB6A-13B8-355E-ADFD-72834D3CA183> /usr/lib/libcsfde.dylib
    0x7fff8ae23000 -     0x7fff8ae2cff7  libsystem_pthread.dylib (138.10.4) <3DD1EF4C-1D1B-3ABF-8CC6-B3B1CEEE9559> /usr/lib/system/libsystem_pthread.dylib
    0x7fff8ae2d000 -     0x7fff8ae88ff7  libTIFF.dylib (1450) <5BB63D48-B807-31FB-B13F-05C60584707E> /System/Library/Frameworks/ImageIO.framework/Versions/A/Resources/libTIFF.dylib
    0x7fff8b151000 -     0x7fff8b60ffcf  com.apple.vImage (8.0 - 8.0) <85FB412E-EB30-3433-A79B-B3970FC83580> /System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vImage.framework/Versions/A/vImage
    0x7fff8b610000 -     0x7fff8b61bfff  libkxld.dylib (3248.50.21) <99195052-038E-3490-ACF8-76F9AC43897E> /usr/lib/system/libkxld.dylib
    0x7fff8b61c000 -     0x7fff8b6f2ffb  com.apple.DiskImagesFramework (10.11.4 - 417.4) <6D26E255-D7BB-3A9D-8B6F-E07D2DBB68AE> /System/Library/PrivateFrameworks/DiskImages.framework/Versions/A/DiskImages
    0x7fff8b702000 -     0x7fff8b70dff7  libChineseTokenizer.dylib (16) <79B8C67A-3061-3C78-92CD-4650719E68D4> /usr/lib/libChineseTokenizer.dylib
    0x7fff8b895000 -     0x7fff8b984fff  libxml2.2.dylib (29.7) <32BBF51E-B084-3FC2-AE9C-C008BE84102B> /usr/lib/libxml2.2.dylib
    0x7fff8ba4c000 -     0x7fff8bb79ff3  com.apple.CoreText (352.0 - 494.11) <08E8640E-6602-3A00-BC28-94235FD311B4> /System/Library/Frameworks/CoreText.framework/Versions/A/CoreText
    0x7fff8bbef000 -     0x7fff8bc0bfff  com.apple.GenerationalStorage (2.0 - 239.1) <8C821448-4294-3736-9CEF-467C93785CB9> /System/Library/PrivateFrameworks/GenerationalStorage.framework/Versions/A/GenerationalStorage
    0x7fff8be05000 -     0x7fff8be13fff  libxar.1.dylib (302) <03207F66-2C4A-3DBD-8D81-70F4C85903C4> /usr/lib/libxar.1.dylib
    0x7fff8be14000 -     0x7fff8bea3ff7  libCoreStorage.dylib (517.50.1) <E6283FE9-B5AC-3110-8D4C-8E2BF185983E> /usr/lib/libCoreStorage.dylib
    0x7fff8beb8000 -     0x7fff8c063ffb  GLEngine (12.1) <299D9296-2984-3967-9049-A842B99E5D43> /System/Library/Frameworks/OpenGL.framework/Versions/A/Resources/GLEngine.bundle/GLEngine
    0x7fff8c092000 -     0x7fff8c09eff7  com.apple.OpenDirectory (10.11 - 194) <31A67AD5-5CC2-350A-96D7-821DF4BC4196> /System/Library/Frameworks/OpenDirectory.framework/Versions/A/OpenDirectory
    0x7fff8c0da000 -     0x7fff8c111ff7  com.apple.LDAPFramework (2.4.28 - 194.5) <9AE33BF2-FB17-342D-8F1E-5F83C6E6EB69> /System/Library/Frameworks/LDAP.framework/Versions/A/LDAP
    0x7fff8c114000 -     0x7fff8c183fff  com.apple.datadetectorscore (7.0 - 460) <FA46DEE8-B25B-3E84-B067-6A31193A0885> /System/Library/PrivateFrameworks/DataDetectorsCore.framework/Versions/A/DataDetectorsCore
    0x7fff8c19c000 -     0x7fff8c19dffb  libSystem.B.dylib (1226.10.1) <C5D09FE1-CC70-383E-AC27-18602F2EDEC4> /usr/lib/libSystem.B.dylib
    0x7fff8c625000 -     0x7fff8c7eeff7  com.apple.ImageIO.framework (3.3.0 - 1450) <14333D7C-1DB1-3928-AF9C-9470235ED2CF> /System/Library/Frameworks/ImageIO.framework/Versions/A/ImageIO
    0x7fff8c7fa000 -     0x7fff8ca05fff  libFosl_dynamic.dylib (16.24) <5F9DB82D-FD4B-3952-8531-CE020F93ED49> /usr/lib/libFosl_dynamic.dylib
    0x7fff8ca06000 -     0x7fff8ca0efff  com.apple.NetFS (6.0 - 4.0) <842A5346-24C3-3F22-9ECF-E586A10EA1F2> /System/Library/Frameworks/NetFS.framework/Versions/A/NetFS
    0x7fff8ca9f000 -     0x7fff8cb2cfff  libsystem_c.dylib (1082.50.1) <B552D565-B798-3B9B-AE63-F623B42A5F01> /usr/lib/system/libsystem_c.dylib
    0x7fff8cb2d000 -     0x7fff8cb3bff7  libbz2.1.0.dylib (38) <28E54258-C0FE-38D4-AB76-1734CACCB344> /usr/lib/libbz2.1.0.dylib
    0x7fff8cb3c000 -     0x7fff8cb44fff  com.apple.frameworks.CoreDaemon (1.3 - 1.3) <CC53DC12-9231-3C4F-921B-9A770D463323> /System/Library/PrivateFrameworks/CoreDaemon.framework/Versions/B/CoreDaemon
    0x7fff8ccc0000 -     0x7fff8ccf3ff7  com.apple.MediaKit (16 - 809) <BF8032FE-6645-37F6-A622-BC7EEE3EAABF> /System/Library/PrivateFrameworks/MediaKit.framework/Versions/A/MediaKit
    0x7fff8cd1a000 -     0x7fff8cd34ff3  liblzma.5.dylib (10) <CC03591B-FA57-3CA5-AC81-0D76033AC0CE> /usr/lib/liblzma.5.dylib
    0x7fff8cd5d000 -     0x7fff8ce01fff  com.apple.Bluetooth (4.4.5 - 4.4.5f3) <141F2C36-70B6-32D3-A556-7A605832CDB3> /System/Library/Frameworks/IOBluetooth.framework/Versions/A/IOBluetooth
    0x7fff8d046000 -     0x7fff8d055ffb  com.apple.LangAnalysis (1.7.0 - 1.7.0) <18D21123-A3E7-3851-974A-08E5D4540475> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/LangAnalysis.framework/Versions/A/LangAnalysis
    0x7fff8d056000 -     0x7fff8d3aafff  com.apple.Foundation (6.9 - 1259) <71A9D3A0-0B1F-3E3A-86F3-1486365A6EF2> /System/Library/Frameworks/Foundation.framework/Versions/C/Foundation
    0x7fff8d3b6000 -     0x7fff8d3c1fff  libGPUSupportMercury.dylib (12.1) <9D35C668-4F21-31C8-890C-CC1F45905194> /System/Library/PrivateFrameworks/GPUSupport.framework/Versions/A/Libraries/libGPUSupportMercury.dylib
    0x7fff8d3c2000 -     0x7fff8d702fff  com.apple.WebKit (11601 - 11601.6.17) <F54752A4-B5AA-3993-BA9A-83F4B3AA176E> /System/Library/Frameworks/WebKit.framework/Versions/A/WebKit
    0x7fff8d703000 -     0x7fff8e7f0ffb  com.apple.WebCore (11601 - 11601.6.17) <A715DA96-B504-36A3-88DD-13485DE8BA2D> /System/Library/Frameworks/WebKit.framework/Versions/A/Frameworks/WebCore.framework/Versions/A/WebCore
    0x7fff8e7f1000 -     0x7fff8e80dff3  libresolv.9.dylib (60) <A650B5C8-1950-36A0-86D1-0B2465318BFA> /usr/lib/libresolv.9.dylib
    0x7fff8e80e000 -     0x7fff8e84cff7  libGLImage.dylib (12.1) <BB1F1A93-5101-3906-AB17-8D83FCB200F9> /System/Library/Frameworks/OpenGL.framework/Versions/A/Libraries/libGLImage.dylib
    0x7fff8e84d000 -     0x7fff8eb42fff  com.apple.HIToolbox (2.1.1 - 807.2) <36413C45-36AF-34EF-9C0E-F18B31D1E565> /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/HIToolbox.framework/Versions/A/HIToolbox
    0x7fff8eb43000 -     0x7fff8eb72ff7  com.apple.DictionaryServices (1.2 - 250.3) <30250542-CBAA-39C1-91AA-B57A5DE17594> /System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/DictionaryServices.framework/Versions/A/DictionaryServices
    0x7fff8ec5d000 -     0x7fff8ec5efff  libsystem_secinit.dylib (20) <32B1A8C6-DC84-3F4F-B8CE-9A52B47C3E6B> /usr/lib/system/libsystem_secinit.dylib
    0x7fff8ecf0000 -     0x7fff8edaafff  com.apple.DiscRecording (9.0.1 - 9010.4.3) <540853B2-B123-3560-8023-C92EE229051A> /System/Library/Frameworks/DiscRecording.framework/Versions/A/DiscRecording
    0x7fff8edea000 -     0x7fff8ededfff  libsystem_sandbox.dylib (460.50.4) <150A9D3D-F69E-32F7-8C7B-8E72CAAFF7E4> /usr/lib/system/libsystem_sandbox.dylib
    0x7fff8ee04000 -     0x7fff8ee0dff7  com.apple.CommonAuth (4.0 - 2.0) <4B8673E1-3697-3FE2-8D30-AC7AC5D4F8BF> /System/Library/PrivateFrameworks/CommonAuth.framework/Versions/A/CommonAuth
    0x7fff8ee79000 -     0x7fff8faa2ff7  com.apple.AppKit (6.9 - 1404.47) <F3411F6E-DD87-34D0-8C68-C69B2205E41D> /System/Library/Frameworks/AppKit.framework/Versions/C/AppKit
    0x7fff8fad1000 -     0x7fff8fad1ff7  liblaunch.dylib (765.50.8) <834ED605-5114-3641-AA4D-ECF31B801C50> /usr/lib/system/liblaunch.dylib
    0x7fff8fad2000 -     0x7fff8fb39fff  com.apple.framework.CoreWiFi (11.0 - 1101.20) <993592F1-B3F1-3FAD-87BD-EA83C361BCCF> /System/Library/PrivateFrameworks/CoreWiFi.framework/Versions/A/CoreWiFi
    0x7fff8fb43000 -     0x7fff8fb8fffb  com.apple.HIServices (1.22 - 550) <6B76B41C-CF5A-34C4-89F4-EFD7CA3D1C9D> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/HIServices.framework/Versions/A/HIServices
    0x7fff8fb90000 -     0x7fff8fbaafff  com.apple.Kerberos (3.0 - 1) <1B4744BF-E5AE-38E2-AA56-E22D3270F2E8> /System/Library/Frameworks/Kerberos.framework/Versions/A/Kerberos
    0x7fff8fbab000 -     0x7fff8fbc9ff7  libsystem_kernel.dylib (3248.50.21) <78E54D59-D2B0-3F54-9A4A-0A68D671F253> /usr/lib/system/libsystem_kernel.dylib
    0x7fff902e7000 -     0x7fff90311ff7  GLRendererFloat (12.1) <BE957AC5-82C2-3620-A625-56C9BE7B853F> /System/Library/Frameworks/OpenGL.framework/Versions/A/Resources/GLRendererFloat.bundle/GLRendererFloat
    0x7fff90312000 -     0x7fff90387fff  com.apple.framework.IOKit (2.0.2 - 1179.50.2) <A509D3AE-9D48-31B7-89C7-326A7A2007B2> /System/Library/Frameworks/IOKit.framework/Versions/A/IOKit
    0x7fff903e0000 -     0x7fff90435fff  com.apple.AE (701 - 701) <AD492742-F884-386B-A450-FAC281B9FFA4> /System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/AE.framework/Versions/A/AE
    0x7fff90436000 -     0x7fff9043bff7  libheimdal-asn1.dylib (453.40.10) <981DE40B-FA16-36F7-BE92-8C8A115D6CD9> /usr/lib/libheimdal-asn1.dylib
    0x7fff9052c000 -     0x7fff90537fff  com.apple.CrashReporterSupport (10.11 - 718) <05892B57-F2CD-3C84-B984-0417F6B361DB> /System/Library/PrivateFrameworks/CrashReporterSupport.framework/Versions/A/CrashReporterSupport
    0x7fff905df000 -     0x7fff9079fffb  libBLAS.dylib (1162.2) <B4C21826-5EB3-3C6D-B75D-CA4886E2B6A6> /System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/libBLAS.dylib
    0x7fff90873000 -     0x7fff90873fff  com.apple.Cocoa (6.11 - 22) <807787AB-D231-3F51-A99B-A9314623C571> /System/Library/Frameworks/Cocoa.framework/Versions/A/Cocoa
    0x7fff90874000 -     0x7fff90986fef  libvDSP.dylib (563.5) <5702650E-DF08-3D58-B16F-9EF0A28702B3> /System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/libvDSP.dylib
    0x7fff90b74000 -     0x7fff90b8bff7  libsystem_coretls.dylib (83.40.5) <C90DAE38-4082-381C-A185-2A6A8B677628> /usr/lib/system/libsystem_coretls.dylib
    0x7fff90b91000 -     0x7fff90baafff  com.apple.CFOpenDirectory (10.11 - 194) <11F95672-55E0-3F9D-9171-5E8C56AEE948> /System/Library/Frameworks/OpenDirectory.framework/Versions/A/Frameworks/CFOpenDirectory.framework/Versions/A/CFOpenDirectory
    0x7fff90bac000 -     0x7fff90bafffb  libScreenReader.dylib (426.42) <16FC79D1-4573-3E90-945F-CBA22D5185FD> /usr/lib/libScreenReader.dylib
    0x7fff90bb8000 -     0x7fff90bc8fff  libbsm.0.dylib (34) <7E14504C-A8B0-3574-B6EB-5D5FABC72926> /usr/lib/libbsm.0.dylib
    0x7fff90d56000 -     0x7fff90ea0ff7  com.apple.coreui (2.1 - 366.1) <8138636F-A0A7-31C7-896C-5F5747FA1B2A> /System/Library/PrivateFrameworks/CoreUI.framework/Versions/A/CoreUI
    0x7fff9135c000 -     0x7fff9135fff7  libCoreFSCache.dylib (119.5) <2389D7DA-B8EF-3EB4-AAAF-FBEDE01CDECA> /System/Library/Frameworks/OpenGL.framework/Versions/A/Libraries/libCoreFSCache.dylib
    0x7fff91360000 -     0x7fff913d7feb  libcorecrypto.dylib (335.50.1) <B5C05FD7-A540-345A-87BF-8E41848A3C17> /usr/lib/system/libcorecrypto.dylib
    0x7fff91437000 -     0x7fff91459fff  com.apple.IconServices (68.1 - 68.1) <CDEEDBE6-F53B-3BA1-82D4-23BCA3DD8949> /System/Library/PrivateFrameworks/IconServices.framework/Versions/A/IconServices
    0x7fff9145a000 -     0x7fff91488ff7  com.apple.CoreServicesInternal (248.2 - 248.2) <6E111F0A-D7F1-3738-ADE7-CF983BD4EC8B> /System/Library/PrivateFrameworks/CoreServicesInternal.framework/Versions/A/CoreServicesInternal
    0x7fff914b8000 -     0x7fff914c0fff  libGFXShared.dylib (12.1) <5A0C2493-200C-30BE-97D5-8E8C0B8E604D> /System/Library/Frameworks/OpenGL.framework/Versions/A/Libraries/libGFXShared.dylib
    0x7fff918cb000 -     0x7fff918d1fff  com.apple.IOAccelerator (205.10 - 205.10) <E46ED853-C2CC-3F29-A7DD-5E9351A2E754> /System/Library/PrivateFrameworks/IOAccelerator.framework/Versions/A/IOAccelerator
    0x7fff918f4000 -     0x7fff9195fff7  com.apple.framework.CoreWLAN (11.0 - 1101.20) <3B35C543-7FCE-333F-80C1-432FA41DDCDE> /System/Library/Frameworks/CoreWLAN.framework/Versions/A/CoreWLAN
    0x7fff919ff000 -     0x7fff91a16fff  libmarisa.dylib (4) <E4919B03-D9BD-3AF8-B436-C415C98E3F0A> /usr/lib/libmarisa.dylib
    0x7fff91a17000 -     0x7fff91a1cff3  libunwind.dylib (35.3) <F6EB48E5-4D12-359A-AB54-C937FBBE9043> /usr/lib/system/libunwind.dylib
    0x7fff91a1d000 -     0x7fff91a83ff7  libsystem_network.dylib (583.50.1) <B52DAB73-92DC-3DA7-B9F4-B899D66445C1> /usr/lib/system/libsystem_network.dylib
    0x7fff91a9d000 -     0x7fff91e9ffff  libLAPACK.dylib (1162.2) <42238ED4-6B7A-39D0-BFF2-304A0C287213> /System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/libLAPACK.dylib
    0x7fff91ea0000 -     0x7fff91ea3ff7  com.apple.help (1.3.3 - 46) <35DA4D48-0BC2-35A1-8D7C-40905CDF4F64> /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/Help.framework/Versions/A/Help
    0x7fff91f67000 -     0x7fff91fb5ff7  libstdc++.6.dylib (104.1) <76E2AFB1-07E5-3F19-B692-F6E21B7E470D> /usr/lib/libstdc++.6.dylib
    0x7fff91fb8000 -     0x7fff91fbeff7  com.apple.speech.recognition.framework (5.1.1 - 5.1.1) <9E5A980A-F455-32D5-BBEE-3BD6018CC45E> /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/SpeechRecognition.framework/Versions/A/SpeechRecognition
    0x7fff91fc6000 -     0x7fff91fc8fff  libCVMSPluginSupport.dylib (12.1) <D81B3D8D-B83F-3918-BD4B-6C794A30AF9F> /System/Library/Frameworks/OpenGL.framework/Versions/A/Libraries/libCVMSPluginSupport.dylib
    0x7fff92016000 -     0x7fff9203ffff  com.apple.ProtectedCloudStorage (1.0 - 1) <7436B2B3-943A-3500-B099-80F133B3E002> /System/Library/PrivateFrameworks/ProtectedCloudStorage.framework/Versions/A/ProtectedCloudStorage
    0x7fff92040000 -     0x7fff92059fff  com.apple.openscripting (1.7.1 - 169.1) <36EBF6A7-334A-3197-838F-E8C7B27FCDBB> /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/OpenScripting.framework/Versions/A/OpenScripting
    0x7fff92257000 -     0x7fff9225cfff  com.apple.ImageCapture (9.0 - 9.0) <ACECF0B7-7D92-3A22-BF47-E8FADF4C5378> /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/ImageCapture.framework/Versions/A/ImageCapture
    0x7fff92bbd000 -     0x7fff92bbdfff  com.apple.ApplicationServices (48 - 48) <ADD57D3A-142F-3EF5-BFD8-EACD82164884> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/ApplicationServices
    0x7fff93293000 -     0x7fff93298ff7  libmacho.dylib (875.1) <318264FA-58F1-39D8-8285-1F6254EE410E> /usr/lib/system/libmacho.dylib
    0x7fff93615000 -     0x7fff93618fff  libCoreVMClient.dylib (119.5) <560D70FB-709F-3030-96C9-F249FCB7DA6D> /System/Library/Frameworks/OpenGL.framework/Versions/A/Libraries/libCoreVMClient.dylib
    0x7fff93619000 -     0x7fff93620ff7  libcompiler_rt.dylib (62) <A13ECF69-F59F-38AE-8609-7B731450FBCD> /usr/lib/system/libcompiler_rt.dylib
    0x7fff93621000 -     0x7fff93629fef  libcldcpuengine.dylib (2.7.3) <511DF05F-B3A1-3810-9901-1F5C1EA278C4> /System/Library/Frameworks/OpenCL.framework/Versions/A/Libraries/libcldcpuengine.dylib
    0x7fff937c4000 -     0x7fff937c4ff7  libunc.dylib (29) <DDB1E947-C775-33B8-B461-63E5EB698F0E> /usr/lib/system/libunc.dylib
    0x7fff939d6000 -     0x7fff93a05ffb  libsystem_m.dylib (3105) <08E1A4B2-6448-3DFE-A58C-ACC7335BE7E4> /usr/lib/system/libsystem_m.dylib
    0x7fff93a0c000 -     0x7fff9426afff  com.apple.GeForceGLDriver (10.10.10 - 10.1.0) <824ECCFB-25CF-3350-96CB-628A849DF89C> /System/Library/Extensions/GeForceGLDriver.bundle/Contents/MacOS/GeForceGLDriver
    0x7fff94412000 -     0x7fff94486ff3  com.apple.securityfoundation (6.0 - 55126) <130656AE-2711-3914-8736-D8B021C93FE0> /System/Library/Frameworks/SecurityFoundation.framework/Versions/A/SecurityFoundation
    0x7fff94642000 -     0x7fff9465fff7  com.apple.AppleVPAFramework (2.1.2 - 2.1.2) <41378C0B-B56A-3A73-9BD0-E06FA1F87B8C> /System/Library/PrivateFrameworks/AppleVPA.framework/Versions/A/AppleVPA
    0x7fff94660000 -     0x7fff9468dfff  libdispatch.dylib (501.40.12) <C7499857-61A5-3D7D-A5EA-65DCC8C3DF92> /usr/lib/system/libdispatch.dylib
    0x7fff9485d000 -     0x7fff9485dff7  libkeymgr.dylib (28) <8371CE54-5FDD-3CE9-B3DF-E98C761B6FE0> /usr/lib/system/libkeymgr.dylib
    0x7fff94a6b000 -     0x7fff94a6bfff  com.apple.audio.units.AudioUnit (1.13 - 1.13) <93C1D642-37D4-3692-AD35-DCAD04F9610B> /System/Library/Frameworks/AudioUnit.framework/Versions/A/AudioUnit
    0x7fff94c19000 -     0x7fff94c35ff7  libsystem_malloc.dylib (67.40.1) <5748E8B2-F81C-34C6-8B13-456213127678> /usr/lib/system/libsystem_malloc.dylib
    0x7fff94c36000 -     0x7fff94ca5fff  com.apple.SearchKit (1.4.0 - 1.4.0) <F159A888-34CA-36F1-AC8E-EB1B38C9DFB3> /System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/SearchKit.framework/Versions/A/SearchKit
    0x7fff94cd8000 -     0x7fff94cdcfff  com.apple.CommonPanels (1.2.6 - 96) <4AE7E5AE-55B3-37FA-9BDE-B23147ADA2E9> /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/CommonPanels.framework/Versions/A/CommonPanels
    0x7fff94d09000 -     0x7fff94d4fff7  libauto.dylib (186) <999E610F-41FC-32A3-ADCA-5EC049B65DFB> /usr/lib/libauto.dylib
    0x7fff94ff0000 -     0x7fff94ff5fff  com.apple.DiskArbitration (2.7 - 2.7) <F55902AA-5316-3255-A701-FDED5B553065> /System/Library/Frameworks/DiskArbitration.framework/Versions/A/DiskArbitration
    0x7fff953d5000 -     0x7fff953d7fff  com.apple.EFILogin (2.0 - 2) <38150198-DD7F-3C73-BCAA-C74BB376393A> /System/Library/PrivateFrameworks/EFILogin.framework/Versions/A/EFILogin
    0x7fff95439000 -     0x7fff9555efff  com.apple.LaunchServices (728.12 - 728.12) <F5AB56CD-CF33-33F0-A48D-372551714E77> /System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/LaunchServices.framework/Versions/A/LaunchServices
    0x7fff95560000 -     0x7fff95571fff  libcmph.dylib (6) <BA4BF2C6-7F4E-33B8-9DD7-619C9EB83ECF> /usr/lib/libcmph.dylib
    0x7fff95589000 -     0x7fff9558bfff  libCGXType.A.dylib (957) <B901C222-E779-32EB-96C2-5A707A09FC5B> /System/Library/Frameworks/CoreGraphics.framework/Versions/A/Resources/libCGXType.A.dylib
    0x7fff955bf000 -     0x7fff955e6fff  com.apple.ChunkingLibrary (167 - 167) <AD7F285C-005E-36BB-98A3-5826413533BE> /System/Library/PrivateFrameworks/ChunkingLibrary.framework/Versions/A/ChunkingLibrary
    0x7fff955e7000 -     0x7fff95633fff  com.apple.print.framework.PrintCore (11.2 - 472.2) <5AE8AA6B-CE09-397D-B0D4-0F9CCBF1F77D> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/PrintCore.framework/Versions/A/PrintCore
    0x7fff956d0000 -     0x7fff956f9ff7  libxslt.1.dylib (14.2) <6E8D0F06-9086-32D3-9D87-3870A1CE9E99> /usr/lib/libxslt.1.dylib
    0x7fff957a1000 -     0x7fff957a9fff  com.apple.CoreServices.FSEvents (1223.10.1 - 1223.10.1) <7F5B7A23-BC1D-3FA9-A9B8-D534F1E1979A> /System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/FSEvents.framework/Versions/A/FSEvents
    0x7fff957db000 -     0x7fff95804ffb  libRIP.A.dylib (957) <5F18F20D-5921-3314-A9F8-F1B1CB62C83D> /System/Library/Frameworks/CoreGraphics.framework/Versions/A/Resources/libRIP.A.dylib
    0x7fff95847000 -     0x7fff95847fff  libmetal_timestamp.dylib (600.0.44.1) <6576F284-BACA-332A-A6E7-FA1C347636E3> /System/Library/PrivateFrameworks/GPUCompiler.framework/libmetal_timestamp.dylib
    0x7fff96751000 -     0x7fff96759fef  libsystem_platform.dylib (74.40.2) <29A905EF-6777-3C33-82B0-6C3A88C4BA15> /usr/lib/system/libsystem_platform.dylib
    0x7fff9675a000 -     0x7fff968b6ff3  com.apple.WebKitLegacy (11601 - 11601.6.17) <3F9A3DDF-AA37-388E-8C96-CFF86DB0D16E> /System/Library/Frameworks/WebKit.framework/Versions/A/Frameworks/WebKitLegacy.framework/Versions/A/WebKitLegacy
    0x7fff968b7000 -     0x7fff968dbfff  com.apple.MultitouchSupport.framework (304.12 - 304.12) <65CB7653-EACD-3ADB-ABB6-2E0671708301> /System/Library/PrivateFrameworks/MultitouchSupport.framework/Versions/A/MultitouchSupport
    0x7fff96908000 -     0x7fff969faff7  libiconv.2.dylib (44) <F05A0A5A-92A9-3668-8F20-F27CBDA26BE9> /usr/lib/libiconv.2.dylib
    0x7fff969fb000 -     0x7fff969fffff  libGIF.dylib (1450) <49D45D41-11AD-38DC-BDC5-9EC57E3B8E30> /System/Library/Frameworks/ImageIO.framework/Versions/A/Resources/libGIF.dylib
    0x7fff96a00000 -     0x7fff96a08fff  libsystem_networkextension.dylib (385.40.36) <66095DC7-6539-38F2-95EE-458F15F6D014> /usr/lib/system/libsystem_networkextension.dylib
    0x7fff96a09000 -     0x7fff96a5cff7  libc++.1.dylib (120.1) <8FC3D139-8055-3498-9AC5-6467CB7F4D14> /usr/lib/libc++.1.dylib
    0x7fff96de5000 -     0x7fff96dedfff  libcopyfile.dylib (127) <A48637BC-F3F2-34F2-BB68-4C65FD012832> /usr/lib/system/libcopyfile.dylib
    0x7fff96dee000 -     0x7fff96e30ff7  com.apple.Metal (56.6 - 56.6) <2B2C0F78-20B8-3878-B9B1-DE18BB92919D> /System/Library/Frameworks/Metal.framework/Versions/A/Metal
    0x7fff96e31000 -     0x7fff96faffff  com.apple.UIFoundation (1.0 - 436.1) <AABB5267-E7B7-3D75-B051-E665BDA8DEF4> /System/Library/PrivateFrameworks/UIFoundation.framework/Versions/A/UIFoundation
    0x7fff96fb0000 -     0x7fff97038fff  com.apple.CoreSymbolication (3.1 - 58048.1) <4730422E-4178-34F9-8550-BB92F2A4F44B> /System/Library/PrivateFrameworks/CoreSymbolication.framework/Versions/A/CoreSymbolication
    0x7fff97039000 -     0x7fff97039fff  libOpenScriptingUtil.dylib (169.1) <AD0DAC8A-9849-3077-999F-9AEC6112BDAB> /usr/lib/libOpenScriptingUtil.dylib
    0x7fff9703a000 -     0x7fff9703afff  com.apple.Accelerate.vecLib (3.10 - vecLib 3.10) <848125D3-AF14-3526-8745-FFCDB200CD76> /System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/vecLib
    0x7fff9703b000 -     0x7fff982a3ff7  com.apple.CoreGraphics (1.600.0 - 957) <0AD5EC17-569E-3864-A637-AD720F5AE0BE> /System/Library/Frameworks/CoreGraphics.framework/Versions/A/CoreGraphics
    0x7fff982a4000 -     0x7fff9853eff3  com.apple.security (7.0 - 57337.50.23) <8B6CF71D-A63E-34C9-9227-0AACAB643584> /System/Library/Frameworks/Security.framework/Versions/A/Security
    0x7fff9853f000 -     0x7fff98561ff7  com.apple.Sharing (442.13.6 - 442.13.6) <DDD2811C-6ECB-32F2-8EE1-69BF9657B4A8> /System/Library/PrivateFrameworks/Sharing.framework/Versions/A/Sharing
    0x7fff98562000 -     0x7fff98808ff7  com.apple.CoreData (120 - 641.3) <A29A5491-6169-372B-828F-84EE0CFD4BC4> /System/Library/Frameworks/CoreData.framework/Versions/A/CoreData
    0x7fff98908000 -     0x7fff98b9efff  libmecabra.dylib (696.5) <EF6C0BD4-5FE8-34FB-8ADF-69A53CEC97A9> /usr/lib/libmecabra.dylib
    0x7fff98b9f000 -     0x7fff98bfdfff  com.apple.SystemConfiguration (1.14 - 1.14) <D801FAD7-5A2D-3E5E-9F44-B6C9B8BEA747> /System/Library/Frameworks/SystemConfiguration.framework/Versions/A/SystemConfiguration
    0x7fff98bfe000 -     0x7fff98c43ff7  com.apple.coreservices.SharedFileList (24.4 - 24.5) <1D2AD77B-778F-3253-A295-3D0A32A8121C> /System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/SharedFileList.framework/Versions/A/SharedFileList
    0x7fff98c44000 -     0x7fff98c48fff  libpam.2.dylib (20) <CFCD19BD-87BC-3F2B-BB1C-4C23E8E55F1A> /usr/lib/libpam.2.dylib
    0x7fff98c49000 -     0x7fff98c4aff3  com.apple.print.framework.Print (10.0 - 266) <3E85F70C-D7D4-34E1-B88A-C1F503F99CDA> /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/Print.framework/Versions/A/Print
    0x7fff98c4b000 -     0x7fff98c57fff  com.apple.speech.synthesis.framework (5.4.12 - 5.4.12) <71DA00B8-5EA2-326B-8814-59DB25512F65> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/SpeechSynthesis.framework/Versions/A/SpeechSynthesis
    0x7fff98cc6000 -     0x7fff98cd0fff  com.apple.NetAuth (6.0 - 6.0) <D692B1EF-534F-3892-8E2F-2BBA7C8AFD74> /System/Library/PrivateFrameworks/NetAuth.framework/Versions/A/NetAuth
    0x7fff98e94000 -     0x7fff98ecefff  com.apple.QD (3.12 - 302) <0FE53180-2895-3D14-A1E7-F82DE1D106E1> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/QD.framework/Versions/A/QD
    0x7fff98ecf000 -     0x7fff98ed1ff7  libRadiance.dylib (1450) <0C0DACDA-2040-3D22-A8E7-7035AB624E4A> /System/Library/Frameworks/ImageIO.framework/Versions/A/Resources/libRadiance.dylib
    0x7fff99007000 -     0x7fff9901eff7  libsystem_asl.dylib (323.50.1) <41F8E11F-1BD0-3F1D-BA3A-AA1577ED98A9> /usr/lib/system/libsystem_asl.dylib
    0x7fff9901f000 -     0x7fff990cffff  com.apple.backup.framework (1.7.4 - 1.7.4) <F304E9D1-991A-379E-9659-BF85C35B4808> /System/Library/PrivateFrameworks/Backup.framework/Versions/A/Backup
    0x7fff99202000 -     0x7fff99a92ff7  libclh.dylib (4.0.3 - 4.0.3) <4A94A4FE-CCBF-3C99-AD80-DAD38732D49A> /System/Library/Extensions/GeForceGLDriver.bundle/Contents/MacOS/libclh.dylib
    0x7fff9a5c1000 -     0x7fff9a5d2ff7  libsystem_trace.dylib (201.10.3) <F00E92E4-DBDA-3749-B5B3-0C3FBBABA1CB> /usr/lib/system/libsystem_trace.dylib
    0x7fff9a5d3000 -     0x7fff9a5d4fff  liblangid.dylib (122) <9CC4F0D1-5C51-3B69-BC8F-EE3A51FD0822> /usr/lib/liblangid.dylib
    0x7fff9a5d5000 -     0x7fff9a5ddfff  com.apple.AppleSRP (5.0 - 1) <840A5C20-6452-36BB-ACF7-29BA6CBF7C48> /System/Library/PrivateFrameworks/AppleSRP.framework/Versions/A/AppleSRP
    0x7fff9a5de000 -     0x7fff9a61fff7  libGLU.dylib (12.1) <CD7A5916-3E3C-3EF3-A275-B281016B99CB> /System/Library/Frameworks/OpenGL.framework/Versions/A/Libraries/libGLU.dylib
    0x7fff9a620000 -     0x7fff9acbfff7  com.apple.JavaScriptCore (11601 - 11601.6.13) <93B52DD9-7810-3562-8605-B97965F6DB94> /System/Library/Frameworks/JavaScriptCore.framework/Versions/A/JavaScriptCore
    0x7fff9acc0000 -     0x7fff9acc1fff  com.apple.TrustEvaluationAgent (2.0 - 25) <0239494E-FEFE-39BC-9FC7-E251BA5128F1> /System/Library/PrivateFrameworks/TrustEvaluationAgent.framework/Versions/A/TrustEvaluationAgent
    0x7fff9ad1f000 -     0x7fff9ad6fff7  com.apple.Symbolication (1.4 - 58044) <F70BF765-FBE9-3F1E-85CA-BB2F8E53E8C2> /System/Library/PrivateFrameworks/Symbolication.framework/Versions/A/Symbolication
    0x7fff9ad70000 -     0x7fff9b19efff  com.apple.vision.FaceCore (3.3.1 - 3.3.1) <E54028EA-4217-3078-A2B1-C52E4214D59E> /System/Library/PrivateFrameworks/FaceCore.framework/Versions/A/FaceCore
    0x7fff9b1c0000 -     0x7fff9b1c2ff7  com.apple.securityhi (9.0 - 55006) <1E7BE52B-97EA-371A-AECA-1EE2AD246D8A> /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/SecurityHI.framework/Versions/A/SecurityHI
    0x7fff9b32f000 -     0x7fff9b42bff7  libFontParser.dylib (158.6) <267A9AE4-4138-3112-8D73-BDFDC96568FF> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ATS.framework/Versions/A/Resources/libFontParser.dylib
    0x7fff9b42c000 -     0x7fff9b451ff7  libPng.dylib (1450) <EB65B96A-B190-36A8-9F9D-F3A3020B267D> /System/Library/Frameworks/ImageIO.framework/Versions/A/Resources/libPng.dylib
    0x7fff9b455000 -     0x7fff9b47efff  libc++abi.dylib (125) <DCCC8177-3D09-35BC-9784-2A04FEC4C71B> /usr/lib/libc++abi.dylib
    0x7fff9b485000 -     0x7fff9b49efe7  libcompression.dylib (28) <F83F421D-115D-3457-A9AA-1BEB5070A30B> /usr/lib/libcompression.dylib
    0x7fff9b546000 -     0x7fff9b597ff7  libcups.2.dylib (435.2) <91584A40-214D-33E8-A613-CE22289037C8> /usr/lib/libcups.2.dylib
    0x7fff9b598000 -     0x7fff9b599fff  libDiagnosticMessagesClient.dylib (100) <4243B6B4-21E9-355B-9C5A-95A216233B96> /usr/lib/libDiagnosticMessagesClient.dylib
    0x7fff9b59a000 -     0x7fff9b5b6ff7  libextension.dylib (78) <FD952DA6-BBEC-3CB6-98B3-E1D111C5C54E> /usr/lib/libextension.dylib
    0x7fff9b63d000 -     0x7fff9b69bfff  com.apple.CoreServices.OSServices (728.12 - 728.12) <776EBD4F-7052-377F-A70D-E2FDBD465A5E> /System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/OSServices.framework/Versions/A/OSServices
    0x7fff9b6e9000 -     0x7fff9b789fff  com.apple.Metadata (10.7.0 - 972.34) <A93B485D-094C-3024-8CBB-D9E035FB83C4> /System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/Metadata.framework/Versions/A/Metadata
    0x7fff9c5ee000 -     0x7fff9c5f0ff7  libsystem_configuration.dylib (802.40.13) <3DEB7DF9-6804-37E1-BC83-0166882FF0FF> /usr/lib/system/libsystem_configuration.dylib
    0x7fff9c655000 -     0x7fff9c93affb  com.apple.CoreServices.CarbonCore (1136.2 - 1136.2) <2DBAFC9A-6CD6-351D-B1F4-87D81AA6D640> /System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/CarbonCore.framework/Versions/A/CarbonCore
    0x7fff9c9b7000 -     0x7fff9c9b7fff  libenergytrace.dylib (10.40.1) <0A491CA7-3451-3FD5-999A-58AB4362682B> /usr/lib/libenergytrace.dylib
    0x7fff9c9c5000 -     0x7fff9c9daff3  libCGInterfaces.dylib (317.9) <473434E1-5269-3077-A047-D05E024AE631> /System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vImage.framework/Versions/A/Libraries/libCGInterfaces.dylib
    0x7fff9c9db000 -     0x7fff9c9dbfff  com.apple.CoreServices (728.12 - 728.12) <A4FFF004-53B0-3EAC-A13F-5416BFFD8886> /System/Library/Frameworks/CoreServices.framework/Versions/A/CoreServices
    0x7fff9c9dc000 -     0x7fff9c9e4ffb  libsystem_dnssd.dylib (625.50.5) <4D10E12B-59B5-386F-82DA-326F18028F0A> /usr/lib/system/libsystem_dnssd.dylib
    0x7fff9cb4d000 -     0x7fff9cb4efff  libsystem_blocks.dylib (65) <1244D9D5-F6AA-35BB-B307-86851C24B8E5> /usr/lib/system/libsystem_blocks.dylib

External Modification Summary:
  Calls made by other processes targeting this process:
    task_for_pid: 10
    thread_create: 0
    thread_set_state: 0
  Calls made by this process:
    task_for_pid: 0
    thread_create: 0
    thread_set_state: 0
  Calls made by all processes on this machine:
    task_for_pid: 320024
    thread_create: 0
    thread_set_state: 0

VM Region Summary:
ReadOnly portion of Libraries: Total=282.4M resident=0K(0%) swapped_out_or_unallocated=282.4M(100%)
Writable regions: Total=14.0T written=0K(0%) resident=0K(0%) swapped_out=0K(0%) unallocated=14.0T(100%)
 
                                  VIRTUAL   REGION 
REGION TYPE                          SIZE    COUNT (non-coalesced) 
===========                       =======  ======= 
Accelerate.framework                 128K        2 
Activity Tracing                    2048K        2 
CG backing stores                   1172K        2 
CG image                              24K        6 
CG shared images                     208K        6 
CoreAnimation                        940K       20 
CoreUI image data                    940K       13 
CoreUI image file                    192K        4 
Dispatch continuations              8192K        2 
Foundation                             4K        2 
Kernel Alloc Once                      8K        3 
MALLOC                                 4K        2 
Mach message                           8K        2 
Memory Tag 242                        12K        2 
Performance tool data                6.0T      277         not counted in TOTAL below
Performance tool data (reserved)    14.0T       85         reserved VM address space (unallocated)
Process Corpse Info                 2048K        2 
STACK GUARD                         56.0M       10 
Stack                               11.6M       11 
VM_ALLOCATE                           64K        8 
__DATA                              44.1M      241 
__GLSLBUILTINS                      2588K        2 
__IMAGE                              528K        2 
__LINKEDIT                          94.9M       20 
__TEXT                             187.5M      234 
__UNICODE                            552K        2 
mapped file                         45.0M       12 
shared memory                       16.3M        8 
===========                       =======  ======= 
TOTAL                              474.6M      594 
TOTAL, minus reserved VM space   16777202.0T      594 

Model: iMac13,1, BootROM IM131.010A.B09, 4 processors, Intel Core i5, 2.7 GHz, 8 GB, SMC 2.9f5
Graphics: NVIDIA GeForce GT 640M, NVIDIA GeForce GT 640M, PCIe, 512 MB
Memory Module: BANK 0/DIMM0, 4 GB, DDR3, 1600 MHz, 0x80AD, 0x484D54333531533643465238432D50422020
Memory Module: BANK 1/DIMM0, 4 GB, DDR3, 1600 MHz, 0x80AD, 0x484D54333531533643465238432D50422020
AirPort: spairport_wireless_card_type_airport_extreme (0x14E4, 0xF4), Broadcom BCM43xx 1.0 (7.21.95.175.1a6)
Bluetooth: Version 4.4.5f3 17904, 3 services, 27 devices, 1 incoming serial ports
Network Service: Wi-Fi, AirPort, en1
Serial ATA Device: APPLE HDD HTS541010A9E662, 1 TB
USB Device: USB 2.0 Bus
USB Device: Hub
USB Device: FaceTime HD Camera (Built-in)
USB Device: USB 2.0 Bus
USB Device: Hub
USB Device: Hub
USB Device: BRCM20702 Hub
USB Device: Bluetooth USB Host Controller
USB Device: USB 3.0 Bus
USB Device: My Passport 0730
USB Device: Composite Device
Thunderbolt Bus: iMac, Apple Inc., 23.4
Comment 5 Jeremy Huddleston Sequoia 2016-05-30 05:55:27 UTC
In the future, please make sure you add crash logs as attachments, not inline text.
Comment 6 Jeremy Huddleston Sequoia 2016-05-30 05:56:06 UTC
Created attachment 124172 [details]
2.7.10_beta1 ASan Report
Comment 7 Jeremy Huddleston Sequoia 2016-05-30 05:59:18 UTC
Thread 2 Crashed:
0   libsystem_kernel.dylib        	0x00007fff8fbc1f06 __pthread_kill + 0x16f06
1   libsystem_pthread.dylib       	0x00007fff8ae294ec pthread_kill (src/pthread.c:1249)
2   libsystem_c.dylib             	0x00007fff8cafd6e7 abort (stdlib/FreeBSD/abort.c:91)
3   libclang_rt.asan_osx_dynamic.dylib	0x00000001059f7b06 0x10598d000 + 436998  (missing dsyms, likely in /opt/X11/*/libclang_rt.asan_osx_dynamic.dylib)
4   libclang_rt.asan_osx_dynamic.dylib	0x00000001059cecb5 0x10598d000 + 269493  (missing dsyms, likely in /opt/X11/*/libclang_rt.asan_osx_dynamic.dylib)
5   libXfont.1.dylib              	0x0000000106d05a00 _fs_do_write (fsio.c:399)
6   libXfont.1.dylib              	0x0000000106d058bc _fs_write (fsio.c:411)
7   libXfont.1.dylib              	0x0000000106cf91b2 _fs_client_access (fserve.c:2862)
8   libXfont.1.dylib              	0x0000000106cf7470 fs_send_open_font (fserve.c:1710)
9   libXfont.1.dylib              	0x0000000106cf5c54 fs_open_font (fserve.c:1841)
10  X11.bin                       	0x00000001051ce8e1 doOpenFont (dixfonts.c:276)
11  X11.bin                       	0x00000001051ce365 OpenFont (dixfonts.c:442)
12  X11.bin                       	0x00000001054d33d6 ProcOpenFont (dispatch.c:1190)
13  X11.bin                       	0x00000001054cabf4 Dispatch (dispatch.c:431)
14  X11.bin                       	0x00000001054ea971 dix_main (main.c:304)
15  X11.bin                       	0x00000001051f9d0a server_thread (quartzStartup.c:66)


==7759==ERROR: AddressSanitizer: heap-buffer-overflow on address 0x6040000b7432 at pc 0x0001059cec8b bp 0x70000029f110 sp 0x70000029e8d0
READ of size 36 at 0x6040000b7432 thread T7
#0 0x10598d000 + 269450  (missing dsyms, likely in /opt/X11/*/libclang_rt.asan_osx_dynamic.dylib)
#1 _fs_do_write (fsio.c:397)
#2 _fs_write (fsio.c:411)
#3 _fs_client_access (fserve.c:2860)
#4 fs_send_open_font (fserve.c:1709)
#5 fs_open_font (fserve.c:1841)
#6 doOpenFont (dixfonts.c:276)
#7 OpenFont (dixfonts.c:442)
#8 ProcOpenFont (dispatch.c:1190)
#9 Dispatch (dispatch.c:431)
#10 dix_main (main.c:300)
 
0x6040000b7432 is located 0 bytes to the right of 34-byte region [0x6040000b7410,0x6040000b7432)
allocated by thread T7 here:
#0 0x10598d000 + 306480  (missing dsyms, likely in /opt/X11/*/libclang_rt.asan_osx_dynamic.dylib)
#1 set_font_authorizations (utils.c:1110)
#2 set_font_authorizations (setfntauth.c:13)
#3 _fs_client_access (fserve.c:2846)
#4 fs_send_open_font (fserve.c:1709)
#5 fs_open_font (fserve.c:1841)
#6 doOpenFont (dixfonts.c:276)
#7 OpenFont (dixfonts.c:442)
#8 ProcOpenFont (dispatch.c:1190)
#9 Dispatch (dispatch.c:431)
#10 dix_main (main.c:300)
 
Thread T7 created by T0 here:
#0 0x10598d000 + 267881  (missing dsyms, likely in /opt/X11/*/libclang_rt.asan_osx_dynamic.dylib)
#1 create_thread (quartzStartup.c:78)
#2 QuartzInitServer (quartzStartup.c:95)
#3 X11ApplicationMain (X11Application.m:1277)
#4 X11ControllerMain (X11Controller.m:984)
#5 server_main (quartzStartup.c:127)
Comment 8 Jeremy Huddleston Sequoia 2016-05-30 07:16:31 UTC
This is the code in question from the allocation to the overrun:

#3 _fs_client_access (fserve.c:2846)

	crac.num_auths = set_font_authorizations(&authorizations, &authlen,
						 client);
	/* Work around bug in xfs versions up through modular release 1.0.8
	   which rejects CreateAC packets with num_auths = 0 & authlen < 4 */
	if (crac.num_auths == 0) {
	    authorizations = padding;
	    authlen = 4;
	} else {
	    authlen = (authlen + 3) & ~0x3;
	}
	crac.length = (sizeof (fsCreateACReq) + authlen) >> 2;
	crac.acid = cur->acid;
	_fs_add_req_log(conn, FS_CreateAC);
	_fs_write(conn, (char *) &crac, sizeof (fsCreateACReq));
	_fs_write(conn, authorizations, authlen);

#3 _fs_client_access (fserve.c:2860)
Comment 9 Jeremy Huddleston Sequoia 2016-05-30 07:26:09 UTC
Not sure the right approach here...

We should either:
  update set_font_authorizations in the server to allocate an aligned size 
  copy the data to an aligned buffer
  Use the correct length to _fs_write

Or some combination of the above for compatibility across versions...
Comment 10 Jeremy Huddleston Sequoia 2016-05-31 04:27:56 UTC
https://cgit.freedesktop.org/xorg/lib/libXfont/commit/?id=6972ea08ee5b2ef1cfbdc2fcaf14f06bbd391561

https://cgit.freedesktop.org/xorg/lib/libXfont/commit/?h=libXfont-1.5-branch&id=42d85d1293b2753f3f200de0e960bacef0c973c7

The overrun should be fixed in 2.7.10_beta2.  I suspect that actually won't address your original issue, so please open up a new bug report with a new crash log from 2.7.10_beta2 if your original issue persists.


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.